﻿-- WoWEquip
-- enUS and enGB Localisation file

--if ( GetLocale() ~= "enUS" and GetLocale() ~= "enGB" ) then
--	return;
--end


-- The WoWEquip slash command
WOW_EQUIP_SLASH_COMMAND		= "/wowequip";

-- The following strings are used for display
WOW_EQUIP_VERSION_TEXT		= "WoWEquip v0.8";
WOW_EQUIP_INSTRUCTIONS_TEXT	= "Left-Click a slot to change gear. Right-Click to change enchant/gems.";
WOW_EQUIP_BONUS_TITLE_TEXT	= "Item Bonus Summary";
WOW_EQUIP_TIER1_STATS_TEXT	= "Equipment Stats";
WOW_EQUIP_TIER2_STATS_TEXT	= "Derived Stats";
WOW_EQUIP_LEVEL_TEXT		= "Lvl:";
WOW_EQUIP_COPY_TARGET_TEXT	= "Copy Target";
WOW_EQUIP_EQUIP_TEXT		= "Equip";
WOW_EQUIP_UNEQUIP_SLOT_TEXT	= "Unequip this slot";
WOW_EQUIP_SEARCH_EQUIPMENT_TEXT	= "Search Equipment";
WOW_EQUIP_FILTER_OPTIONS_TEXT	= "Filter Options";
WOW_EQUIP_FILTER_LETTER_TEXT	= "F";
WOW_EQUIP_SORT_OPTIONS_TEXT	= "Sort Options";
WOW_EQUIP_SORT_LETTER_TEXT	= "S";
WOW_EQUIP_SELECTED_SLOT_TEXT	= "Selected Slot: %s (%d)";
WOW_EQUIP_SLOT_TEXT		= "Slot";
WOW_EQUIP_SEARCH_INFO_TEXT	= "Note: Only items you have seen before since the last patch can be searched (i.e. the items must be in your local cache). If an item isn't in your local cache, obtain the itemlink from somewhere first (such as AtlasLoot) or from someone else.";
WOW_EQUIP_SELECT_ALL_TEXT	= "Select All";
WOW_EQUIP_UNSELECT_ALL_TEXT	= "Unselect All";
WOW_EQUIP_SHOW_CLOAK_TEXT	= "Show Cloak";
WOW_EQUIP_SHOW_HELM_TEXT	= "Show Helm";
WOW_EQUIP_SAVE_PROFILE_DOT_TEXT	= "Save Profile...";
WOW_EQUIP_LOAD_PROFILE_DOT_TEXT	= "Load Profile...";
WOW_EQUIP_SEND_PROFILE_DOT_TEXT	= "Send Profile...";
WOW_EQUIP_SAVE_PROFILE_TEXT	= "Save Profile";
WOW_EQUIP_LOAD_PROFILE_TEXT	= "Load Profile";
WOW_EQUIP_SEND_PROFILE_TEXT	= "Send Profile";
WOW_EQUIP_COMPARE_PROFILE_TEXT	= "Compare Profile";
WOW_EQUIP_SAVE_TEXT		= "Save";
WOW_EQUIP_LOAD_TEXT		= "Load";
WOW_EQUIP_SEND_TEXT		= "Send";
WOW_EQUIP_COMPARE_TEXT		= "Compare";
WOW_EQUIP_NAME_TEXT		= "Name:";
WOW_EQUIP_SEND_PROFILE_TO_TEXT	= "Send profile to:"
WOW_EQUIP_DESCRIPTION_TEXT	= "Description/Notes:";
WOW_EQUIP_NO_DESCRIPTION_TEXT	= "[No description]";
WOW_EQUIP_LIST_OF_PROFILES_TEXT	= "List of saved profiles:";
WOW_EQUIP_EQUIPPED_GEAR_TEXT	= "Equipped Gear";
WOW_EQUIP_DEFAULT_COPYDESC_TEXT	= "%s's equipped gear.\nGuild: %s\nServer: %s, %s\nDate: %s";
WOW_EQUIP_DELETE_TEXT		= "Delete";
WOW_EQUIP_SETS_TEXT		= "Sets";
WOW_EQUIP_GEMS_TEXT		= "Gems";
WOW_EQUIP_QUERY_SERVER_TEXT	= "Query server for this item";
WOW_EQUIP_ERRORTOOLTIP_L1_TEXT	= "Unsafe Item";
WOW_EQUIP_ERRORTOOLTIP_L2_TEXT	= "Name: ";
WOW_EQUIP_ERRORTOOLTIP_L3_TEXT	= "ItemID: ";
WOW_EQUIP_ERRORTOOLTIP_L4_TEXT	= "This item is unsafe. To view this item without the risk of disconnection, you need to have first seen it in the game world since the last patch. This is a restriction enforced by Blizzard since Patch 1.10.";
WOW_EQUIP_ERRORTOOLTIP_L5_TEXT	= "You can right-click to attempt to query the server.  You may be disconnected.";
WOW_EQUIP_SEND_SUCCESS		= [[Profile "%s" sent successfully to %s.]];
WOW_EQUIP_SEND_FAIL		= [[Profile "%s" failed to be sent to %s.]];
WOW_EQUIP_RECEIVE_SUCCESS	= [[Profile "%s" received successfully from %s.]];
WOW_EQUIP_RECEIVE_INVALID	= [[Profile "%s" received from %s contains invalid data.]];
WOW_EQUIP_RECEIVE_ACK0		= "%s received the profile successfully.";
WOW_EQUIP_RECEIVE_ACK1		= "%s did not receive the profile successfully because he is using an older version of WoWEquip.";
WOW_EQUIP_RECEIVE_ACK2		= "%s did not receive the profile successfully because of invalid/corrupted data.";
WOW_EQUIP_RECEIVE_ACK3		= "%s did not receive the profile because he has disabled profile receiving in his options.";
WOW_EQUIP_SEND_LIMIT_ERROR_TEXT	= "You may not send more than 1 profile every 30 seconds.";
WOW_EQUIP_CONFIRM_OVERWRITE	= "Overwrite the following profile?\n%s";
WOW_EQUIP_CONFIRM_DELETE	= "Delete the following profile?\n%s";
WOW_EQUIP_COMPARE_AGAINST_TEXT	= "Compare against...";
WOW_EQUIP_COMPARING_TEXT	= "Comparing: ";
WOW_EQUIP_SELECT_CLASS_TEXT	= "Select class";
WOW_EQUIP_OPTIONS_TEXT		= "Options...";
WOW_EQUIP_WOWEQUIP_OPTIONS_TEXT	= "WoWEquip Options";
WOW_EQUIP_LOCK_WINDOW_TEXT	= "Lock WoWEquip windows from being moved";
WOW_EQUIP_PRESERVE_ENCHANT_TEXT	= "Keep previous enchant when equipping a new item";
WOW_EQUIP_ALLOW_PROFILE_R_TEXT	= "Allow others to send WoWEquip profiles to you";
WOW_EQUIP_CHANGE_TEXT		= "Change:";
WOW_EQUIP_BACKGROUND_COLOR_TEXT	= "Background Color";
WOW_EQUIP_BORDER_COLOR_TEXT	= "Border Color";
WOW_EQUIP_TRANSPARENCY_TEXT	= "WoWEquip Transparency: ";
WOW_EQUIP_SCALING_TEXT		= "WoWEquip Scaling: ";
WOW_EQUIP_DR_SCALING_TEXT	= "Attached Dressing Room Scaling: ";
WOW_EQUIP_EXTRA_WIDTH_TEXT	= "Add extra width to WoWEquip: ";
WOW_EQUIP_BETA_TEXT		=
[[|cFFFFFFFF-----
WoWEquip is currently in |rBETA|cFFFFFFFF status.

|cFFFFFFFFIn order to add the base "white stats" of a player, I need to collect the following data on the |runtalented|cFFFFFFFF, |runbuffed|cFFFFFFFF, |rnaked|cFFFFFFFF stats of every race/class combination at level 70 as stated on your character sheet:

Str, Agi, Sta, Int, Spi
Armor, Defense
Dodge%, Parry%, Block%
Spell Crit%, Mana Regen
AP, RAP, Crit%
HP, Mana
Race, Class

I |rrecommend|cFFFFFFFF using the PTR servers to obtain such data.

Please post your data at |rhttp://www.wowace.com/forums/index.php?topic=8317.0|cFFFFFFFF along with any other feedback and suggestions.

- Xinhuan (US Blackrock Alliance)|r
]];

--[[
DONE				= DONE;			-- "Done"
CLOSE				= CLOSE;		-- "Close"
ENSCRIBE			= ENSCRIBE;		-- "Enchant"
CANCEL				= CANCEL;		-- "Cancel"
NONE				= NONE;			-- "None"
FACTION_HORDE			= FACTION_HORDE;	-- "Horde"
FACTION_ALLIANCE		= FACTION_ALLIANCE;	-- "Alliance"
YES				= YES;			-- "Yes"
NO				= NO;			-- "No"
]]

-- The following strings are displayed in the Key Bindings
BINDING_HEADER_WOWEQUIP			= WOW_EQUIP_VERSION_TEXT;
BINDING_NAME_WOWEQUIP_TOGGLE		= "Show/Hide WoWEquip";
BINDING_NAME_WOWEQUIP_INSPECT		= "Inspect & Copy Target";

-- The following strings are used to display the slotnames corresponding to WOWEQUIP_SLOTS in WoWEquip.lua
WOWEQUIP_SLOTS_TEXT = {
	"Head", "Neck", "Shoulder", "Back", "Chest", "Shirt", "Tabard", "Wrist",
	"Hands", "Waist", "Legs", "Feet", "Top Finger", "Bottom Finger", "Top Trinket", "Bottom Trinket",
	"Main Hand", "Off-hand", "Ranged",
};

-- The following strings are used for tooltip parsing
WOW_EQUIP_ITEM_SOCKET_BONUS_R	= "Socket Bonus: .*";	-- Deformatting version of ITEM_SOCKET_BONUS = "Socket Bonus: %s"
WOW_EQUIP_ITEM_SET_NAME_R	= "(.*) %(%d/(%d)%)"	-- Deformatting version of ITEM_SET_NAME = "%s (%d/%d)" to get the setname and setsize -- Set name (2/5)

-- The following strings are the localized return values from GetItemInfo() for itemType and are used for parsing
WOW_EQUIP_ITEMTYPE_ARMOR		= "Armor";
WOW_EQUIP_ITEMTYPE_WEAPON		= "Weapon";

-- The following strings are the localized return values from GetItemInfo() for itemSubType and are used for parsing
WOW_EQUIP_ITEMSUBTYPE_CLOTH		= "Cloth";
WOW_EQUIP_ITEMSUBTYPE_LEATHER		= "Leather";
WOW_EQUIP_ITEMSUBTYPE_MAIL		= "Mail";
WOW_EQUIP_ITEMSUBTYPE_PLATE		= "Plate";
WOW_EQUIP_ITEMSUBTYPE_DAGGERS		= "Daggers";
WOW_EQUIP_ITEMSUBTYPE_FISTWEAPONS	= "Fist Weapons";
WOW_EQUIP_ITEMSUBTYPE_1HAXES		= "One-Handed Axes";
WOW_EQUIP_ITEMSUBTYPE_1HMACES		= "One-Handed Maces";
WOW_EQUIP_ITEMSUBTYPE_1HSWORDS		= "One-Handed Swords";
WOW_EQUIP_ITEMSUBTYPE_FISHINGPOLE	= "Fishing Pole";
WOW_EQUIP_ITEMSUBTYPE_POLEARMS		= "Polearms";
WOW_EQUIP_ITEMSUBTYPE_STAVES		= "Staves";
WOW_EQUIP_ITEMSUBTYPE_2HAXES		= "Two-Handed Axes";
WOW_EQUIP_ITEMSUBTYPE_2HMACES		= "Two-Handed Maces";
WOW_EQUIP_ITEMSUBTYPE_2HSWORDS		= "Two-Handed Swords";
WOW_EQUIP_ITEMSUBTYPE_SHIELDS		= "Shields";
WOW_EQUIP_ITEMSUBTYPE_MISC		= "Miscellaneous";
WOW_EQUIP_ITEMSUBTYPE_BOWS		= "Bows";
WOW_EQUIP_ITEMSUBTYPE_CROSSBOWS		= "Crossbows";
WOW_EQUIP_ITEMSUBTYPE_GUNS		= "Guns";
WOW_EQUIP_ITEMSUBTYPE_THROWN		= "Thrown";
WOW_EQUIP_ITEMSUBTYPE_WANDS		= "Wands";
WOW_EQUIP_ITEMSUBTYPE_IDOLS		= "Idols";
WOW_EQUIP_ITEMSUBTYPE_LIBRAMS		= "Librams";
WOW_EQUIP_ITEMSUBTYPE_TOTEMS		= "Totems";

-- The following strings appear in the enchants/gems menus
local MenuText_Part1		= "Part 1";
local MenuText_Part2		= "Part 2";
local MenuText_Enchanting1H	= "Enchanting (1H)";
local MenuText_Enchanting2H	= "Enchanting (2H)";
local MenuText_Blacksmithing	= "Blacksmithing";
local MenuText_Quests		= "Quests";
local MenuText_Arcanums		= "Arcanums (Librams)";
local MenuText_ZG_Idols		= "Zul'Gurub (Idols)";
local MenuText_ArgentDawn_Ins	= "Argent Dawn (Insignias)";
local MenuText_TBC_Rep		= "TBC Reputation Vendors";
local MenuText_Aldor_Ins	= "Aldor Inscriptions";
local MenuText_Scryer_Ins	= "Scryer Inscriptions";
local MenuText_VioletEye_Ins	= "Violet Eye Inscriptions";
local MenuText_ArgentDawn_Man	= "Argent Dawn Mantles";
local MenuText_ZG_Sig		= "Zul'Gurub Signets";
local MenuText_Naxx_Drops	= "Naxxramas Sapphiron Drops";
local MenuText_Enchanting	= "Enchanting";
local MenuText_Armor_Kits	= "Armor Kits";
local MenuText_Tailoring	= "Tailoring";
local MenuText_Leatherworking	= "Leatherworking";
local MenuText_GreenGem		= "Green (B/Y)";
local MenuText_OrangeGem	= "Orange (R/Y)";
local MenuText_PurpleGem	= "Purple (R/B)";
local MenuText_PrismaticGem	= "Prismatic (R/B/Y)";

-- The following strings are used for the Item Bonus Summary category titles
WoWEquip_IBonusCatTitles = {
	"Base Stats",		-- 1
	"Defenses",		-- 2
	"Combat",		-- 3
	"Spells",		-- 4
	"Health and Mana",	-- 5
	"Resistances",		-- 6
	"Gems",			-- 7
	"Others",		-- 8
}

-- IMPORTANT NOTE:
-- For the remainder of the file, only the text string right after a t = should be changed
-- for localization purposes. These are the strings that are displayed in menus.
-- All table indexes, other texts and numbers are data used by WoWEquip.
-- Note that the ordering of subtables in a table directly determines the order in which the menuitems appear.
-- Reordering them is allowed, but changing the id is not!


-- Item Bonus Summary
-- The next part of the file deals with the tables for the Item Bonus Summary
-- id	= is the category ID this stat should display under. -1 indicates not to display.
-- t	= is the text displayed.
-- r	= the BONUSID to send to StatLogic:GetEffectFromRating(), 'true' means use the key as the string.
-- p	= whether to display a % sign for the converted effect.
-- The index strings are taken from ItemBonusLib-1.0.lua
WoWEquip_IBonusData = {
	STR	= {id = 1, t = "Strength"},
	AGI	= {id = 1, t = "Agility"},
	STA	= {id = 1, t = "Stamina"},
	INT	= {id = 1, t = "Intellect"},
	SPI	= {id = 1, t = "Spirit"},
	ARMOR	= {id = 2, t = "Armor"},
	BASE_ARMOR	= {id = -1, t = "Base Armor"},
	ARMOR_BONUS	= {id = -1, t = "Armor Bonus"},

	ARCANERES	= {id = 6, t = "Arcane Resistance"},
	FIRERES		= {id = 6, t = "Fire Resistance"},
	NATURERES	= {id = 6, t = "Nature Resistance"},
	FROSTRES	= {id = 6, t = "Frost Resistance"},
	SHADOWRES	= {id = 6, t = "Shadow Resistance"},

	FISHING		= {id = 8, t = "Fishing"},
	MINING		= {id = 8, t = "Mining"},
	HERBALISM	= {id = 8, t = "Herbalism"},
	SKINNING	= {id = 8, t = "Skinning"},

	DEFENSE		= {id = 2, t = "Defense"},
	BLOCK		= {id = 2, t = "Chance to Block",		p = true},
	BLOCKVALUE	= {id = 2, t = "Block value"},
	DODGE		= {id = 2, t = "Dodge",				p = true},
	PARRY		= {id = 2, t = "Parry",				p = true},

	ATTACKPOWER		= {id = 3, t = "Attack Power"},
	ATTACKPOWERUNDEAD	= {id = 3, t = "Attack Power (vs Ud)"},
	ATTACKPOWERFERAL	= {id = 3, t = "Attack Power (Feral)"},
	CRIT			= {id = 3, t = "Chance to Crit",	p = true},
	RANGEDATTACKPOWER	= {id = 3, t = "R. Attack Power"},
	RANGEDCRIT		= {id = 3, t = "Ranged Crit", 		p = true},
	TOHIT			= {id = 3, t = "Chance to Hit"},
	IGNOREARMOR		= {id = 3, t = "Ignore Armor"},

	DMG		= {id = 4, t = "Spell Damage"},
	DMGUNDEAD	= {id = 4, t = "Spell Damage (vs Ud)"},
	ARCANEDMG	= {id = 4, t = "Arcane Damage"},
	FIREDMG		= {id = 4, t = "Fire Damage"},
	FROSTDMG	= {id = 4, t = "Frost Damage"},
	HOLYDMG		= {id = 4, t = "Holy Damage"},
	NATUREDMG	= {id = 4, t = "Nature Damage"},
	SHADOWDMG	= {id = 4, t = "Shadow Damage"},
	SPELLCRIT	= {id = 4, t = "Spell Crit",			p = true},
	SPELLTOHIT	= {id = 4, t = "Spell Hit"},
	SPELLPEN	= {id = 4, t = "Spell Penetration"},
	HEAL		= {id = 4, t = "Healing"},
	HOLYCRIT	= {id = 4, t = "Spell Crit (Holy)"},

	HEALTHREG	= {id = 5, t = "Life Regeneration"},
	MANAREG		= {id = 5, t = "Mana Regeneration"},
	HEALTH		= {id = 5, t = "Life Points"},
	MANA		= {id = 5, t = "Mana Points"},

	CR_WEAPON		= {id = 3, t = "Weapon rating",			r = "WEAPON_RATING"},
	CR_DEFENSE		= {id = 2, t = "Defense rating",		r = "DEFENSE_RATING"},
	CR_DODGE		= {id = 2, t = "Dodge rating",			r = "DODGE_RATING",	p = true},
	CR_PARRY		= {id = 2, t = "Parry rating",			r = "PARRY_RATING",	p = true},
	CR_BLOCK		= {id = 2, t = "Block rating",			r = "BLOCK_RATING",	p = true},
	CR_HIT			= {id = 3, t = "Hit rating",			r = "MELEE_HIT_RATING",	p = true},
	CR_CRIT			= {id = 3, t = "Crit rating",			r = "MELEE_CRIT_RATING",	p = true},
	CR_RANGEDHIT		= {id = 3, t = "R. Hit rating",			r = "RANGED_HIT_RATING",	p = true},
	CR_RANGEDCRIT		= {id = 3, t = "R. Crit rating",		r = "RANGED_CRIT_RATING",	p = true},
	CR_HASTE		= {id = 3, t = "Haste rating",			r = "MELEE_HASTE_RATING",	p = true},
	CR_SPELLHIT		= {id = 4, t = "Spell Hit rating",		r = "SPELL_HIT_RATING",	p = true},
	CR_SPELLCRIT		= {id = 4, t = "Spell Crit rating",		r = "SPELL_CRIT_RATING",	p = true},
	CR_SPELLHASTE		= {id = 4, t = "Spell Haste rating",		r = "SPELL_HASTE_RATING",	p = true},
	CR_RESILIENCE		= {id = 2, t = "Resilience",			r = "RESILIENCE_RATING",	p = true},
	CR_WEAPON_AXE		= {id = 3, t = "Axe skill rating",		r = "AXE_WEAPON_RATING"},
	CR_WEAPON_DAGGER	= {id = 3, t = "Dagger skill rating",		r = "DAGGER_WEAPON_RATING"},
	CR_WEAPON_MACE		= {id = 3, t = "Mace skill rating",		r = "MACE_WEAPON_RATING"},
	CR_WEAPON_SWORD		= {id = 3, t = "Sword skill rating",		r = "SWORD_WEAPON_RATING"},
	CR_WEAPON_SWORD_2H	= {id = 3, t = "2H-Swords skill rating",	r = "2H_SWORD_WEAPON_RATING"},

	SNARERES		= {id = 6, t = "Snare/Root Resistance"},

	-- The remainder of these aren't translated in ItemBonusLib
	CR_WEAPON_FERAL		= {id = 3, t = "Feral Combat s. rating",	r = "FERAL_WEAPON_RATING"},

	CR_WEAPON_AXE_2H	= {id = 3, t = "2H-Axe skill rating",		r = "2H_AXE_WEAPON_RATING"},
	CR_WEAPON_MACE_2H	= {id = 3, t = "2H-Mace skill rating",		r = "2H_MACE_WEAPON_RATING"},
	CR_WEAPON_FIST		= {id = 3, t = "Fist skill rating",		r = "FIST_WEAPON_RATING"},
	CR_WEAPON_STAFF		= {id = 3, t = "Staff skill rating",		r = false},
	CR_WEAPON_GUN		= {id = 3, t = "Gun skill rating",		r = "GUN_WEAPON_RATING"},
	CR_WEAPON_BOW		= {id = 3, t = "Bow skill rating",		r = "BOW_WEAPON_RATING"},
	CR_WEAPON_CROSSBOW	= {id = 3, t = "Crossbow skill rating",		r = "CROSSBOW_WEAPON_RATING"},

	THREATREDUCTION		= {id = 8, t = "Threat Reduction (%)"},
	MELEEDMG		= {id = -1, t = "Summed Melee Damage"},

	CASTINGREG		= {id = 5, t = "Mana Regen w/casting (%)"},
	NATURECRIT		= {id = 4, t = "Spell Crit (Nature)"},
	CASTINGREGROWTH		= {id = -1, t = "-Cast (Regrowth)"},
	CASTINGHOLYLIGHT	= {id = -1, t = "-Cast (Holy Light)"},
	CASTINGHEALINGTOUCH	= {id = -1, t = "-Cast (Healing Touch)"},
	CASTINGFLASHHEAL	= {id = -1, t = "-Cast (Flash Heal)"},
	CASTINGCHAINHEAL	= {id = -1, t = "-Cast (Chain Heal)"},
	DURATIONREJUV		= {id = -1, t = "+Dur (Rejuvenation)"},
	DURATIONRENEW		= {id = -1, t = "+Dur (Renew)"},
	MANAREGNORMAL		= {id = -1, t = "Normal Life/Mana Regen"},
	IMPCHAINHEAL		= {id = -1, t = "Healing (Chain Heal)"},
	IMPREJUVENATION		= {id = -1, t = "Healing (Rejuvenation)"},
	IMPLESSERHEALINGWAVE	= {id = -1, t = "Healing (L.H. Wave)"},
	IMPFLASHOFLIGHT		= {id = -1, t = "Healing (Flash of Light)"},
	REFUNDHEALINGWAVE	= {id = -1, t = "Refund % mana (H. Wave)"},
	JUMPHEALINGWAVE		= {id = -1, t = "-% Heal/jump (H. Wave)"},
	CHEAPERDRUID		= {id = -1, t = "-% Mana (HT/Rg/Rej/Tr)"},
	REFUNDHTCRIT		= {id = -1, t = "Refund % mana (HT)"},
	CHEAPERRENEW		= {id = -1, t = "-% Mana (Renew)"},

	HEALTHREG_P		= {id = 5, t = "Normal Health Regen"},
	RUNSPEED		= {id = 8, t = "Run Speed %"},
	MOUNTSPEED		= {id = 8, t = "Mount Speed %"},
	SWIMSPEED		= {id = 8, t = "Swim Speed %"},
	STEALTH			= {id = 8, t = "Stealth %"},
	RANGED_SPEED_BONUS	= {id = 8, t = "Ranged Speed Bonus %"},
	NEGPARRY		= {id = 8, t = "Less Parry %"},
	STUNRESIST		= {id = 6, t = "Stun Resistance %"},
	FEARRESIST		= {id = 6, t = "Fear Resistance %"},
	DISORIENTRESIST		= {id = 6, t = "Disorient Resistance %"},
	MELEETAKEN		= {id = 8, t = "Less Melee Dmg Taken"},
	DMGTAKEN		= {id = 8, t = "Less Spell Dmg Taken"},
	UNDERWATER		= {id = 8, t = "Underwater Breathing"},
	LOCKPICK		= {id = 8, t = "Lockpicking"},
	STEALTHDETECT		= {id = 8, t = "Stealth Detection"},
	DISARMIMMUNE		= {id = 8, t = "Disarm Immune"},
	SLOWFALL		= {id = 8, t = "Less Falling Damage %"},
	IMPRESS			= {id = 8, t = "Impress Others!"},
	MOJO			= {id = 8, t = "Mojo!"},
	EMPTY_SOCKET_BLUE	= {id = 7, t = "Empty Blue Socket"},
	EMPTY_SOCKET_META	= {id = 7, t = "Empty Meta Socket"},
	EMPTY_SOCKET_RED	= {id = 7, t = "Empty Red Socket"},
	EMPTY_SOCKET_YELLOW	= {id = 7, t = "Empty Yellow Socket"},

	-- Added for manual counting of socketed gem colors
	BLUE_GEM	= {id = 7, t = "Blue Gems"},
	META_GEM	= {id = 7, t = "Meta Gems"},
	RED_GEM		= {id = 7, t = "Red Gems"},
	YELLOW_GEM	= {id = 7, t = "Yellow Gems"},

	--[[
	-- These are for StatLogicLib-1.0
	ARCANE_RES	= {id = 6, t = "Arcane Resistance"},
	FIRE_RES	= {id = 6, t = "Fire Resistance"},
	NATURE_RES	= {id = 6, t = "Nature Resistance"},
	FROST_RES	= {id = 6, t = "Frost Resistance"},
	SHADOW_RES	= {id = 6, t = "Shadow Resistance"},

	BLOCK_VALUE	= {id = 2, t = "Block value"},

	AP		= {id = 3, t = "Attack Power"},
	AP_UNDEAD	= {id = 3, t = "Attack Power (vs Ud)"},
	AP_DEMON	= {id = 3, t = "Attack Power (vs Demon)"},
	FERAL_AP	= {id = 3, t = "Attack Power (Feral)"},
	RANGED_AP	= {id = 3, t = "Ranged Attack Power"},

	HEALTH_REG	= {id = 5, t = "Life Regeneration"},
	MANA_REG	= {id = 5, t = "Mana Regeneration"},

	SPELL_DMG		= {id = 4, t = "Spell Damage"},
	ARCANE_SPELL_DMG	= {id = 4, t = "Arcane Damage"},
	FIRE_SPELL_DMG		= {id = 4, t = "Fire Damage"},
	FROST_SPELL_DMG		= {id = 4, t = "Frost Damage"},
	HOLY_SPELL_DMG		= {id = 4, t = "Holy Damage"},
	NATURE_SPELL_DMG	= {id = 4, t = "Nature Damage"},
	SHADOW_SPELL_DMG	= {id = 4, t = "Shadow Damage"},
	SPELL_DMG_UNDEAD	= {id = 4, t = "Spell Damage (vs Ud)"},

	DPS			= {id = -1, t = "Damage per Second"},

	WEAPON_RATING		= {id = 3, t = "Weapon rating",		r = true},
	DEFENSE_RATING		= {id = 2, t = "Defense rating",	r = true},
	DODGE_RATING		= {id = 2, t = "Dodge rating",		r = true,	p = true},
	PARRY_RATING		= {id = 2, t = "Parry rating",		r = true,	p = true},
	BLOCK_RATING		= {id = 2, t = "Block rating",		r = true,	p = true},
	MELEE_HIT_RATING	= {id = 3, t = "Hit rating",		r = true,	p = true},
	MELEE_CRIT_RATING	= {id = 3, t = "Crit rating",		r = true,	p = true},
	MELEE_HASTE_RATING	= {id = 3, t = "Haste rating",		r = true,	p = true},
	RANGED_HIT_RATING	= {id = 3, t = "Ranged Hit rating",	r = true,	p = true},
	  RANGED_HASTE_RATING	= {id = 3, t = "Ranged Haste rating",	r = true,	p = true},
	RANGED_CRIT_RATING	= {id = 3, t = "Ranged Crit rating",	r = true,	p = true},
	SPELL_HIT_RATING	= {id = 4, t = "Spell Hit rating",	r = true,	p = true},
	SPELL_CRIT_RATING	= {id = 4, t = "Spell Crit rating",	r = true,	p = true},
	SPELL_HASTE_RATING	= {id = 4, t = "Spell haste rating",	r = true,	p = true},
	RESILIENCE_RATING	= {id = 2, t = "Resilience",		r = true,	p = true},
	AXE_WEAPON_RATING	= {id = 3, t = "Axe skill ratin	g",	r = true},
	DAGGER_WEAPON_RATING	= {id = 3, t = "Dagger skill rating",	r = true},
	MACE_WEAPON_RATING	= {id = 3, t = "Mace skill rating",	r = true},
	SWORD_WEAPON_RATING	= {id = 3, t = "Sword skill rating",	r = true},
	["2H_SWORD_WEAPON_RATING"]	= {id = 3, t = "2H-Swords skill rating",	r = true},
	  MELEE_HIT_AVOID_RATING	= {id = 2, t = "Hit Avoidance rating",		r = true,	p = true},
	  RANGED_HIT_AVOID_RATING	= {id = 2, t = "R. Hit Avoidance rating",	r = true,	p = true},
	  SPELL_HIT_AVOID_RATING	= {id = 2, t = "S. Hit Avoidance rating",	r = true,	p = true},
	  MELEE_CRIT_AVOID_RATING	= {id = 2, t = "Crit Avoidance rating",		r = true,	p = true},
	  RANGED_CRIT_AVOID_RATING	= {id = 2, t = "R. Crit Avoidance rating",	r = true,	p = true},
	  SPELL_CRIT_AVOID_RATING	= {id = 2, t = "S. Crit Avoidance rating",	r = true,	p = true},
	FERAL_WEAPON_RATING		= {id = 3, t = "Feral Combat s. rating",	r = true},
	["2H_AXE_WEAPON_RATING"]	= {id = 3, t = "2H-Axe skill rating",		r = true},
	["2H_MACE_WEAPON_RATING"]	= {id = 3, t = "2H-Mace skill rating",		r = true},
	FIST_WEAPON_RATING		= {id = 3, t = "Fist skill rating",		r = true},
	--CR_WEAPON_STAFF		= {id = 3, t = "Staff skill rating",		r = true},
	GUN_WEAPON_RATING		= {id = 3, t = "Gun skill rating",		r = true},
	BOW_WEAPON_RATING		= {id = 3, t = "Bow skill rating",		r = true},
	CROSSBOW_WEAPON_RATING		= {id = 3, t = "Crossbow skill rating",		r = true},

	MAX_DAMAGE	= {id = -1, t = "Summed Max Damage"},
	RUN_SPEED	= {id = 7, t = "Run Speed %"},
	MOUNT_SPEED	= {id = 7, t = "Mount Speed %"},
	]]
}
-- Create a metatable for this table to generate new unknown entries to classify under "Unknown"
local type = type;
local ibonusmt = {
	__index = function(table, key)
		if (type(key) == "string") then
			table[key] = {id = 7, t = key};
			return table[key];
		end
	end
}
setmetatable(WoWEquip_IBonusData, ibonusmt);


-- Enchants
-- The next part of the file deals with the tables for menu generation for enchants
-- id	= is the enchantID in the itemLink.
-- t	= is the text displayed on the menu.
-- icon = is the texture to be displayed without the "Interface\\Icons\\" prefix. This entry can be nil.

local NoneTable = {id = 0,	t = NONE}

local ArmorKitTable = {
	{id = 2989,	t = "Arcane Resistance +8 (Arcane Armor Kit) (Lvl 60+)",	ic = "Spell_Shadow_SealOfKings"},
	{id = 15,	t = "Armor +8 (Light Armor Kit)",				ic = "INV_Misc_ArmorKit_17"},
	{id = 16,	t = "Armor +16 (Medium Armor Kit)",				ic = "INV_Misc_ArmorKit_15"},
	{id = 17,	t = "Armor +24 (Heavy Armor Kit) (Lvl 15+)",			ic = "INV_Misc_ArmorKit_16"},
	{id = 18,	t = "Armor +32 (Thick Armor Kit) (Lvl 25+)",			ic = "INV_Misc_ArmorKit_07"},
	{id = 1843,	t = "Armor +40 (Rugged Armor Kit) (Lvl 35+)",			ic = "INV_Misc_ArmorKit_09"},
	{id = 2503,	t = "Defense Rating +5 (Core Armor Kit) (Lvl 45+)",		ic = "INV_Misc_ArmorKit_05"},
	{id = 2793,	t = "Defense Rating +8 (Vindicator's Armor Kit) (Lvl 60+)",	ic = "INV_Misc_ArmorKit_26"},
	{id = 2985,	t = "Fire Resistance +8 (Flame Armor Kit) (Lvl 60+)",		ic = "Spell_Fire_SealOfFire"},
	{id = 2987,	t = "Frost Resistance +8 (Frost Armor Kit) (Lvl 60+)",		ic = "Spell_Frost_WizardMark"},
	{id = 2988,	t = "Nature Resistance +8 (Nature Armor Kit) (Lvl 60+)",	ic = "Spell_Nature_SpiritArmor"},
	{id = 2984,	t = "Shadow Resistance +8 (Shadow Armor Kit) (Lvl 60+)",	ic = "Spell_Shadow_AntiShadow"},
	{id = 2792,	t = "Stamina +8 (Knothide Armor Kit) (Lvl 55+)",		ic = "INV_Misc_ArmorKit_24"},
	{id = 2794,	t = "3 mana per 5 sec. (Magister's Armor Kit) (Lvl 60+)",	ic = "INV_Misc_ArmorKit_22"},
	NoneTable,
}
local ArcanumTable = {
	{id = 1508,	t = "Agility +8 (Lesser Arcanum of Voracity)",			ic = "INV_Misc_Gem_03"},
	{id = 1504,	t = "Armor +125 (Lesser Arcanum of Tenacity)",			ic = "INV_Misc_Gem_03"},
	{id = 2545,	t = "Dodge Rating +12 (Arcanum of Protection)",			ic = "INV_Misc_Gem_02"},
	{id = 1505,	t = "Fire Resistance +20 (Lesser Arcanum of Resilience)",	ic = "INV_Misc_Gem_03"},
	{id = 2543,	t = "Haste Rating +10 (Arcanum of Rapidity)",			ic = "INV_Misc_Gem_02"},
	{id = 2544,	t = "Healing and Spell Damage +8 (Arcanum of Focus)",		ic = "INV_Misc_Gem_02"},
	{id = 1503,	t = "Health +100 (Lesser Arcanum of Constitution)",		ic = "INV_Misc_Gem_03"},
	{id = 1509,	t = "Intellect +8 (Lesser Arcanum of Voracity)",		ic = "INV_Misc_Gem_03"},
	{id = 1483,	t = "Mana +150 (Lesser Arcanum of Rumination)",			ic = "INV_Misc_Gem_03"},
	{id = 1510,	t = "Spirit +8 (Lesser Arcanum of Voracity)",			ic = "INV_Misc_Gem_03"},
	{id = 1507,	t = "Stamina +8 (Lesser Arcanum of Voracity)",			ic = "INV_Misc_Gem_03"},
	{id = 1506,	t = "Strength +8 (Lesser Arcanum of Voracity)",			ic = "INV_Misc_Gem_03"},
	NoneTable,
}
local ZGIdolTable = {
	{id = 2583,	t = "Def Rating +10/Sta +10/Block Value +15 (Presence of Might) (Warrior)",	ic = "Spell_Holy_SealOfWrath"},
	{id = 2584,	t = "Def Rating +10/Sta +10/Healing +24 (Syncretist's Sigil) (Paladin)",	ic = "Spell_Holy_PrayerOfHealing"},
	{id = 2585,	t = "+28 AP/+12 Dodge Rating (Death's Embrace) (Rogue)",			ic = "Spell_Shadow_ScourgeBuild"},
	{id = 2586,	t = "+24 RAP/+10 Sta/+10 Hit Rating (Falcon's Call) (Hunter)",			ic = "Spell_Nature_ForceOfNature"},
	{id = 2587,	t = "Spell Damage +13/Int +15 (Vodouisant's Vigilant Embrace) (Shaman)",	ic = "Spell_Nature_Purge"},
	{id = 2588,	t = "Spell Damage +18/Spell Hit Rating +8 (Presence of Sight) (Mage)",		ic = "Spell_Shadow_DetectLesserInvisibility"},
	{id = 2589,	t = "Spell Damage +18/Sta +10 (Hoodoo Hex) (Warlock)",				ic = "Spell_Shadow_ImpPhaseShift"},
	{id = 2590,	t = "Mana Regen +4/Sta +10/Healing +24 (Prophetic Aura) (Priest)",		ic = "Spell_Holy_HolyProtection"},
	{id = 2591,	t = "Intellect +10/Sta +10/Healing +24 (Animist's Carass) (Druid)",		ic = "Spell_Nature_Reincarnation"},
	{id = 2681,	t = "Nature Resistance +10 (Savage Guard)",					ic = "Spell_Nature_SpiritArmor"},
	NoneTable,
}
local FishingEnchants = {
	{id = 2603,	t = "Fishing +5 (High Test Eternium Fishing Line)",		ic = "INV_Fabric_Mageweave_02"},
	NoneTable,
}
local BSWeaponEnchants = {
	{id = 34,	t = "Counterweight - Haste Rating +20 (Iron Counterweight)",	ic = "INV_Misc_Orb_01"},
	{id = 37,	t = "Weapon Chain - Immune Disarm (Steel Weapon Chain)",	ic = "Spell_Frost_ChainsOfIce"},
	NoneTable,
}
local QuestWeaponEnchants = {
	{id = 36,	t = "Fiery Blaze (Fiery Blaze Enchantment)",	ic = "INV_Jewelry_Talisman_01"},
	NoneTable,
}
local OneHandWeaponEnchants = {
	{[MenuText_Part1] = {
		{id = 2564,	t = "Agility +15 (Agility)"},
		{id = 2675,	t = "Battlemaster (Battlemaster) (Lvl 35+)"},
		{id = 249,	t = "Beastslaying +2 (Minor Beastslayer)"},
		{id = 853,	t = "Beastslaying +6 (Lesser Beastslayer)"},
		{id = 1900,	t = "Crusader (Crusader)"},
		{id = 250,	t = "Damage +1 (Minor Striking)"},
		{id = 241,	t = "Damage +2 (Lesser Striking)"},
		{id = 943,	t = "Damage +3 (Striking)"},
		{id = 805,	t = "Damage +4 (Greater Striking)"},
		{id = 1897,	t = "Damage +5 (Superior Striking)"},
		{id = 963,	t = "Damage +7 (Major Striking) (Lvl 35+)"},
		{id = 912,	t = "Demonslaying (Demonslaying)"},
		{id = 854,	t = "Elemental Slayer +6 (Lesser Elemental Slayer)"},
		{id = 803,	t = "Fiery Weapon (Fiery Weapon)"},
		{id = 2443,	t = "Frost Damage +7 (Winter's Might)"},
	}},
	{[MenuText_Part2] = {
		{id = 2505,	t = "Healing +55 (Healing Power)"},
		{id = 2343,	t = "Healing +81 (Major Healing) (Lvl 35+)"},
		{id = 1894,	t = "Icy Weapon (Icy Chill)"},
		{id = 2568,	t = "Intellect +22 (Mighty Intellect)"},
		{id = 2666,	t = "Intellect +30 (Major Intellect) (Lvl 35+)"},
		{id = 1898,	t = "Lifestealing (Lifestealing)"},
		{id = 2673,	t = "Mongoose (Mongoose) (Lvl 35+)"},
		{id = 2672,	t = "Soulfrost - Frost/Shadow Damage +54 (Soulfrost) (Lvl 35+)"},
		{id = 2504,	t = "Spell Damage +30 (Spell Power)"},
		{id = 2669,	t = "Spell Damage +40 (Major Spellpower) (Lvl 35+)"},
		{id = 2674,	t = "Spellsurge (Spellsurge) (Lvl 35+)"},
		{id = 2567,	t = "Spirit +20 (Mighty Spirit)"},
		{id = 2563,	t = "Strength +15 (Strength)"},
		{id = 2668,	t = "Strength +20 (Potency) (Lvl 35+)"},
		{id = 2671,	t = "Sunfire - Fire/Arcane Damage +50 (Sunfire) (Lvl 35+)"},
		{id = 1899,	t = "Unholy Weapon (Unholy Weapon)"},
		NoneTable,
	}},
}
local TwoHandWeaponEnchants = {
	{id = 2646,	t = "Agility +25 (Agility)"},
	{id = 2670,	t = "Agility +35 (Major Agility) (Lvl 35+)"},
	{id = 2667,	t = "Attack Power +70 (Savagery) (Lvl 35+)"},
	{id = -1,	t = "Damage +2 (Minor Impact)"},
	{id = -1,	t = "Damage +3 (Lesser Impact)"},
	{id = -1,	t = "Damage +5 (Impact)"},
	{id = 963,	t = "Damage +7 (Greater Impact)"},
	{id = -1,	t = "Damage +9 (Superior Impact)"},
	{id = -1,	t = "Intellect +3 (Lesser Intellect)"},
	{id = -1,	t = "Intellect +9 (Major Intellect)"},
	{id = -1,	t = "Spirit +3 (Lesser Spirit)"},
	{id = -1,	t = "Spirit +9 (Major Spirit)"},
	NoneTable,
}
local OneHandEnchantsTable = {
	{[MenuText_Enchanting1H]	= OneHandWeaponEnchants},
	{[MenuText_Blacksmithing]	= BSWeaponEnchants},
	{[MenuText_Quests]		= QuestWeaponEnchants},
}
local RangedWeaponEnchants = {
	{id = 30,	t = "Damage +1 (Crude Scope)", 				ic = "INV_Misc_Spyglass_02"},
	{id = 32,	t = "Damage +2 (Standard Scope)", 			ic = "INV_Misc_Spyglass_02"},
	{id = 33,	t = "Damage +3 (Accurate Scope)", 			ic = "INV_Misc_Spyglass_02"},
	{id = 663,	t = "Damage +5 (Deadly Scope)", 			ic = "INV_Misc_Spyglass_02"},
	{id = 664,	t = "Damage +7 (Sniper Scope)", 			ic = "INV_Misc_Spyglass_02"},
	{id = 2722,	t = "Damage +10 (Adamantite Scope)", 			ic = "INV_Misc_Spyglass_02"},
	{id = 2723,	t = "Damage +12 (Khorium Scope)", 			ic = "INV_Misc_Spyglass_02"},
	{id = 2724,	t = "Crit Rating +28 (Stabilized Eternium Scope)", 	ic = "INV_Misc_Spyglass_02"},
	{id = 2523,	t = "Hit Rating +30 (Biznicks 247x128 Accurascope)", 	ic = "INV_Misc_Spyglass_02"},
	NoneTable,
}

-- In this global table, the index "INVTYPE_HEAD" etc are not to be changed because those are the actual return values
-- of GetItemInfo() for itemEquipLoc which is irrelevant of language/localization.
WoWEquip_EnchantableLoc = {
	INVTYPE_HEAD = {
		{[MenuText_Arcanums] = ArcanumTable},
		{[MenuText_ZG_Idols] = ZGIdolTable},
		{[MenuText_ArgentDawn_Ins] = {
			{id = 2682,	t = "Frost Resistance +10 (Ice Guard)",		ic = "Spell_Frost_FrostShock"},
			{id = 2683,	t = "Shadow Resistance +10 (Shadow Guard)",	ic = "Spell_Shadow_AntiShadow"},
			NoneTable,
		}},
		{[MenuText_TBC_Rep] = {
			{id = 3006,	t = "Arcane Resistance +20 (Glyph of Arcane Warding) (Sha'tar - Honored)",		ic = "Spell_Arcane_ArcaneResilience"},
			{id = 3003,	t = "Attack Power +34 / Hit Rating +16 (Glyph of Ferocity) (CE - Revered)",		ic = "Ability_Druid_DemoralizingRoar"},
			{id = 2999,	t = "Defense Rating +16 / Dodge Rating +17 (Glyph of the Defender) (KoT - Revered)",	ic = "Ability_Warrior_VictoryRush"},
			{id = 3007,	t = "Fire Resistance +20 (Glyph of Fire Warding) (Tm/HHold - Honored)",			ic = "Spell_Fire_SealOfFire"},
			{id = 3008,	t = "Frost Resistance +20 (Glyph of Frost Warding) (KoT - Honored)",			ic = "Spell_Frost_FrostArmor02"},
			{id = 3001,	t = "Healing +35 / 7 mana per 5 sec. (Glyph of Renewal) (Tm/HH - Revered)",		ic = "Spell_Holy_HealingAura"},
			{id = 3005,	t = "Nature Resistance +20 (Glyph of Nature Warding) (CE - Honored)",			ic = "Spell_Nature_ProtectionformNature"},
			{id = 3009,	t = "Shadow Resistance +20 (Glyph of Shadow Warding) (LC - Honored)",			ic = "Spell_Shadow_SealOfKings"},
			{id = 3002,	t = "Spell Damage +22 / Spell Hit Rating +14 (Glyph of Power) (Sha'tar - Revered)",	ic = "Spell_Nature_LightningOverload"},
			{id = 3096,	t = "Strength +17 / Intellect +16 (Glyph of the Outcast) (LC - Revered)",		ic = "Ability_Rogue_MasterOfSubtlety"},
			NoneTable,
		}},
	},
	INVTYPE_SHOULDER = {
		{[MenuText_Aldor_Ins] = {
			{id = 2977,	t = "Dodge Rating +13 (Inscription of Warding)",					ic = "Spell_Holy_GreaterBlessingofSanctuary"},
			{id = 2978,	t = "Dodge Rating +15 / Defense Rating +10 (Greater Inscription of Warding)",		ic = "Spell_Holy_BlessingOfProtection"},
			{id = 2979,	t = "Healing +29 (Inscription of Faith)",						ic = "Spell_Holy_SealOfSalvation"},
			{id = 2980,	t = "Healing +33 / 4 mana per 5 sec. (Greater Inscription of Faith)",			ic = "Spell_Holy_GreaterBlessingofSalvation"},
			{id = 2981,	t = "Spell Dmg +15 (Inscription of Discipline)",					ic = "Spell_Holy_SealOfWisdom"},
			{id = 2982,	t = "Spell Dmg +18 / Spell Crit Rating +10 (Greater Inscription of Discipline)",	ic = "Spell_Holy_SealOfWisdom"},
			{id = 2983,	t = "Attack Power +26 (Inscription of Vengeance)",					ic = "Spell_Holy_FistOfJustice"},
			{id = 2986,	t = "Attack Power +30 / Crit Rating +10 (Greater Inscription of Vengeance)",		ic = "Spell_Holy_GreaterBlessingofKings"},
			NoneTable,
		}},
		{[MenuText_Scryer_Ins] = {
			{id = 2990,	t = "Def Rating +13 (Inscription of the Knight)",				ic = "Spell_Holy_ChampionsBond"},
			{id = 2991,	t = "Def Rating +15 / Dodge Rating +10 (Greater Inscription of the Knight)",	ic = "Spell_Holy_ChampionsGrace"},
			{id = 2992,	t = "5 mana per 5 sec. (Inscription of the Oracle)",				ic = "Spell_Holy_SpiritualGuidence"},
			{id = 2993,	t = "6 mana per 5 sec. / Healing +22 (Greater Inscription of the Oracle)",	ic = "Spell_Holy_PowerInfusion"},
			{id = 2994,	t = "Spell Crit Rating +13 (Inscription of the Orb)",				ic = "INV_Misc_Orb_04"},
			{id = 2995,	t = "Spell Crit Rating +15 / Spell Dmg +12 (Greater Inscription of the Orb)",	ic = "INV_Misc_Orb_03"},
			{id = 2996,	t = "Crit Rating +13 (Inscription of the Blade)",				ic = "Ability_DualWield"},
			{id = 2997,	t = "Crit Rating +15 / Attack Power +20 (Greater Inscription of the Blade)",	ic = "Spell_Holy_WeaponMastery"},
			NoneTable,
		}},
		{[MenuText_VioletEye_Ins] = {
			{id = 2998,	t = "All Resistances +7 (Inscription of Endurance)",	ic = "Ability_Warrior_ShieldMastery"},
			NoneTable,
		}},
		{[MenuText_ArgentDawn_Man] = {
			{id = 2488,	t = "All Resistances +5 (Chromatic Mantle of the Dawn)",	ic = "INV_Misc_Gem_Variety_02"},
			{id = 2485,	t = "Arcane Resistance +5 (Arcane Mantle of the Dawn)",		ic = "Spell_Holy_WordFortitude"},
			{id = 2483,	t = "Fire Resistance +5 (Flame Mantle of the Dawn)",		ic = "Spell_Fire_FlameShock"},
			{id = 2484,	t = "Frost Resistance +5 (Frost Mantle of the Dawn)",		ic = "Spell_Frost_FrostShock"},
			{id = 2486,	t = "Nature Resistance +5 (Nature Mantle of the Dawn)",		ic = "Spell_Nature_ProtectionformNature"},
			{id = 2487,	t = "Shadow Resistance +5 (Shadow Mantle of the Dawn)",		ic = "Spell_Shadow_RagingScream"},
			NoneTable,
		}},
		{[MenuText_ZG_Sig] = {
			{id = 2606,	t = "Attack Power +30 (Zandalar Signet of Might)",	ic = "INV_Misc_ArmorKit_08"},
			{id = 2604,	t = "Healing +33 (Zandalar Signet of Serenity)",	ic = "Spell_Holy_PowerWordShield"},
			{id = 2605,	t = "Spell Damage +18 (Zandalar Signet of Mojo)",	ic = "INV_Jewelry_Ring_46"},
			NoneTable,
		}},
		{[MenuText_Naxx_Drops] = {
			{id = 2721,	t = "Spell Dmg +15 / Spell Crit Rating +14 (Power of the Scourge)",	ic = "Spell_Shadow_DarkRitual"},
			{id = 2715,	t = "Healing +31 / 5 mana per 5 sec. (Resilience of the Scourge)",	ic = "Spell_Shadow_DeadofNight"},
			{id = 2716,	t = "Stamina +16 / Armor +100 (Fortitude of the Scourge)",		ic = "Spell_Shadow_AntiShadow"},
			{id = 2717,	t = "Attack Power +26 / Crit Rating +14 (Might of the Scourge)",	ic = "Spell_Shadow_Deathpact"},
			NoneTable,
		}},
	},
	INVTYPE_CHEST = {	-- For plate apparently
		{[MenuText_Enchanting] = {
			{[MenuText_Part1] = {
				{id = 44,	t = "Absorption +10 (Minor Absorption)"},
				{id = 63,	t = "Absorption +25 (Lesser Absorption)"}, 
				{id = 847,	t = "All Stats +1 (Minor Stats)"},
				{id = 866,	t = "All Stats +2 (Lesser Stats)"},
				{id = 928,	t = "All Stats +3 (Stats)"},
				{id = 1891,	t = "All Stats +4 (Greater Stats)"},
				{id = 2661,	t = "All Stats +6 (Exceptional Stats) (Lvl 35+)"},
				{id = 41,	t = "Health +5 (Minor Health)"},
				{id = 242,	t = "Health +15 (Lesser Health)"},
				{id = 254,	t = "Health +25 (Health)"},
				{id = 850,	t = "Health +35 (Greater Health)"},
				{id = 908,	t = "Health +50 (Superior Health)"},
				{id = 1892,	t = "Health +100 (Major Health)"},
				{id = 2659,	t = "Health +150 (Exceptional Health) (Lvl 35+)"},
				NoneTable,
			}},
			{[MenuText_Part2] = {
				{id = 24,	t = "Mana +5 (Minor Mana)"},
				{id = 843,	t = "Mana +30 (Mana)"},
				{id = 857,	t = "Mana +50 (Greater Mana)"},
				{id = 913,	t = "Mana +65 (Superior Mana)"},
				{id = 1893,	t = "Mana +100 (Major Mana)"},
				{id = 2933,	t = "Resilience +15 (Major Resilience) (Lvl 35+)"},
				{id = 1144,	t = "Spirit +15 (Major Spirit) (Lvl 35+)"},
				{id = 3150,	t = "6 mana per 5 sec. (Restore Mana Prime) (Lvl 35+)"},	-- 2376 for nonplate
				NoneTable,
			}},
		}},
		{[MenuText_Armor_Kits] = ArmorKitTable},
	},
	INVTYPE_ROBE = {	-- For non-plate apparently
		{[MenuText_Enchanting] = {
			{[MenuText_Part1] = {
				{id = 44,	t = "Absorption +10 (Minor Absorption)"},
				{id = 63,	t = "Absorption +25 (Lesser Absorption)"}, 
				{id = 847,	t = "All Stats +1 (Minor Stats)"},
				{id = 866,	t = "All Stats +2 (Lesser Stats)"},
				{id = 928,	t = "All Stats +3 (Stats)"},
				{id = 1891,	t = "All Stats +4 (Greater Stats)"},
				{id = 2661,	t = "All Stats +6 (Exceptional Stats) (Lvl 35+)"},
				{id = 41,	t = "Health +5 (Minor Health)"},
				{id = 242,	t = "Health +15 (Lesser Health)"},
				{id = 254,	t = "Health +25 (Health)"},
				{id = 850,	t = "Health +35 (Greater Health)"},
				{id = 908,	t = "Health +50 (Superior Health)"},
				{id = 1892,	t = "Health +100 (Major Health)"},
				{id = 2659,	t = "Health +150 (Exceptional Health) (Lvl 35+)"},
				NoneTable,
			}},
			{[MenuText_Part2] = {
				{id = 24,	t = "Mana +5 (Minor Mana)"},
				{id = 843,	t = "Mana +30 (Mana)"},
				{id = 857,	t = "Mana +50 (Greater Mana)"},
				{id = 913,	t = "Mana +65 (Superior Mana)"},
				{id = 1893,	t = "Mana +100 (Major Mana)"},
				{id = 2933,	t = "Resilience +15 (Major Resilience) (Lvl 35+)"},
				{id = 1144,	t = "Spirit +15 (Major Spirit) (Lvl 35+)"},
				{id = 2376,	t = "6 mana per 5 sec. (Restore Mana Prime) (Lvl 35+)"},	-- 3150 for plate
				NoneTable,
			}},
		}},
		{[MenuText_Armor_Kits] = ArmorKitTable},
	},
	INVTYPE_LEGS = {
		{[MenuText_Tailoring] = {
			{id = 2745,	t = "Healing +46 / Stamina +15 (Silver Spellthread)",		ic = "Spell_Nature_Lightning"},
			{id = 2746,	t = "Healing +66 / Stamina +20 (Golden Spellthread)",		ic = "Spell_Holy_Restoration"},
			{id = 2747,	t = "Spell Damage +25 / Stamina +15 (Mystic Spellthread)",	ic = "Spell_Nature_AstralRecal"},
			{id = 2748,	t = "Spell Damage +35 / Stamina +20 (Runic Spellthread)",	ic = "Spell_Nature_AstralRecalGroup"},
			NoneTable,
		}},
		{[MenuText_Leatherworking] = {
			{id = 3010,	t = "Attack Power +40 / Crit Rating +10 (Cobrahide Leg Armor)",		ic = "INV_Misc_ArmorKit_21"},
			{id = 3012,	t = "Attack Power +50 / Crit Rating +12 (Nethercobra Leg Armor)",	ic = "INV_Misc_ArmorKit_25"},
			{id = 3011,	t = "Stamina +30 / Agility +10 (Clefthide Leg Armor)",			ic = "INV_Misc_ArmorKit_23"},
			{id = 3013,	t = "Stamina +40 / Agility +12 (Nethercleft Leg Armor)",		ic = "INV_Misc_ArmorKit_25"},
			NoneTable,
		}},
		{[MenuText_Armor_Kits] = ArmorKitTable},
		{[MenuText_Arcanums] = ArcanumTable},
		{[MenuText_ZG_Idols] = ZGIdolTable},
	},
	INVTYPE_FEET = {
		{[MenuText_Enchanting] = {
			{id = 911,	t = "Minor Speed Increase (Minor Speed)"},
			{id = 2939,	t = "Minor Speed and +6 Agility (Cat's Swiftness) (Lvl 35+)"},
			{id = 2940,	t = "Minor Speed and +9 Stamina (Boar's Speed) (Lvl 35+)"},
			{id = 247,	t = "Agility +1 (Minor Agility)"},
			{id = 849,	t = "Agility +3 (Lesser Agility)"},
			{id = 904,	t = "Agility +5 (Agility)"},
			{id = 1887,	t = "Agility +7 (Greater Agility)"},
			{id = 2657,	t = "Agility +12 (Dexterity) (Lvl 35+)"},
			{id = 66,	t = "Stamina +1 (Minor Stamina)"},
			{id = 724,	t = "Stamina +3 (Lesser Stamina)"},
			{id = 852,	t = "Stamina +5 (Stamina)"},
			{id = 929,	t = "Stamina +7 (Greater Stamina)"},
			{id = 2649,	t = "Stamina +12 (Fortitude) (Lvl 35+)"},
			{id = 255,	t = "Spirit +3 (Lesser Spirit)"},
			{id = 851,	t = "Spirit +5 (Spirit)"},
			{id = 2658,	t = "Surefooted (Surefooted) (Lvl 35+)"},
			{id = 2656,	t = "4 health and mana per 5 sec. (Vitality) (Lvl 35+)"},
			NoneTable,
		}},
		{[MenuText_Armor_Kits] = ArmorKitTable},
		{[MenuText_Blacksmithing] = {
			{id = 464,	t = "Riding Speed +4% (Mithril Spurs)",	ic = "Ability_Rogue_Sprint"},
			NoneTable,
		}},
	},
	INVTYPE_WRIST = {
		{[MenuText_Enchanting] = {
			{[MenuText_Part1] = {
				{id = 247,	t = "Agility +1 (Minor Agility)"},
				{id = 1891,	t = "All Stats +4 (Stats) (Lvl 35+)"},
				{id = 1593,	t = "Attack Power +24 (Assault) (Lvl 35+)"},
				{id = 924,	t = "Defense Rating +2 (Minor Deflection)"},
				{id = 925,	t = "Defense Rating +3 (Lesser Deflection)"},
				{id = 923,	t = "Defense Rating +5 (Deflection)"},
				{id = 2648,	t = "Defense Rating +12 (Major Defense) (Lvl 35+)"},
				{id = 723,	t = "Intellect +3 (Lesser Intellect)"},
				{id = 905,	t = "Intellect +5 (Intellect)"},
				{id = 1883,	t = "Intellect +7 (Greater Intellect)"},
				{id = 369,	t = "Intellect +12 (Major Intellect) (Lvl 35+)"},
				{id = 2566,	t = "Healing +24 (Healing Power)"},
				{id = 2617,	t = "Healing +30 (Superior Healing) (Lvl 35+)"},
				{id = 41,	t = "Health +5 (Minor Health)"},
				{id = 2650,	t = "Spell Damage +15 (Spellpower) (Lvl 35+)"},
				NoneTable,
			}},
			{[MenuText_Part2] = {
				{id = 243,	t = "Spirit +1 (Minor Spirit)"},
				{id = 255,	t = "Spirit +3 (Lesser Spirit)"},
				{id = 851,	t = "Spirit +5 (Spirit)"},
				{id = 907,	t = "Spirit +7 (Greater Spirit)"},
				{id = 1884,	t = "Spirit +9 (Superior Spirit)"},
				{id = 66,	t = "Stamina +1 (Minor Stamina)"},
				{id = 724,	t = "Stamina +3 (Lesser Stamina)"},
				{id = 852,	t = "Stamina +5 (Stamina)"},
				{id = 929,	t = "Stamina +7 (Greater Stamina)"},
				{id = 1886,	t = "Stamina +9 (Superior Stamina)"},
				{id = 2649,	t = "Stamina +12 (Fortitude) (Lvl 35+)"},
				{id = 248,	t = "Strength +1 (Minor Strength)"},
				{id = 823,	t = "Strength +3 (Lesser Strength)"},
				{id = 856,	t = "Strength +5 (Strength)"},
				{id = 927,	t = "Strength +7 (Greater Strength)"},
				{id = 1885,	t = "Strength +9 (Superior Strength)"},
				{id = 2647,	t = "Strength +12 (Brawn) (Lvl 35+)"},
				{id = 2565,	t = "4 mana per 5 sec. (Mana Regeneration)"},
				{id = 2679,	t = "6 mana per 5 sec. (Restore Mana Prime) (Lvl 35+)"},
				NoneTable,
			}},
		}},
	},
	INVTYPE_HAND = {
		{[MenuText_Enchanting] = {
			{[MenuText_Part1] = {
				{id = 904,	t = "Agility +5 (Agility)"},
				{id = 1887,	t = "Agility +7 (Greater Agility)"},
				{id = 2564,	t = "Agility +15 (Superior Agility)"},
				{id = 1594,	t = "Attack Power +26 (Assault) (Lvl 35+)"},
				{id = 2616,	t = "Fire Damage +20 (Fire Power)"},
				{id = 846,	t = "Fishing +2 (Fishing)"},
				{id = 2615,	t = "Frost Damage +20 (Frost Power)"},
				{id = 931,	t = "Haste Rating +10 (Minor Haste)"},
				{id = 2617,	t = "Healing +30 (Healing Power)"},
				{id = 2322,	t = "Healing +35 (Major Healing) (Lvl 35+)"},
				{id = 845,	t = "Herbalism +2 (Herbalism)"},
				{id = 909,	t = "Herbalism +5 (Advanced Herbalism)"},
				NoneTable,
			}},
			{[MenuText_Part2] = {
				{id = 844,	t = "Mining +2 (Mining)"},
				{id = 906,	t = "Mining +5 (Advanced Mining)"},
				{id = 930,	t = "Riding Speed +2% (Riding Skill)"},
				{id = 2614,	t = "Shadow Damage +20 (Shadow Power)"},
				{id = 865,	t = "Skinning +5 (Skinning)"},
				{id = 2934,	t = "Spell Crit Rating +10 (Blasting) (Lvl 35+)"},
				{id = 2937,	t = "Spell Damage +20 (Major Spellpower) (Lvl 35+)"},
				{id = 2935,	t = "Spell Hit +15 (Spell Strike) (Lvl 35+)"},
				{id = 856,	t = "Strength +5 (Strength)"},
				{id = 927,	t = "Strength +7 (Greater Strength)"},
				{id = 684,	t = "Strength +15 (Major Strength) (Lvl 35+)"},
				{id = 2613,	t = "Threat +2% (Threat)"},
				NoneTable,
			}},
		}},
		{[MenuText_Armor_Kits] = ArmorKitTable},
	},
	INVTYPE_FINGER = {
		{[MenuText_Enchanting] = {
			{id = 2931,	t = "All Stats +4 (Stats) (Enchanter Only)"},
			{id = 2930,	t = "Healing +20 (Healing Power) (Enchanter Only)"},
			{id = 2928,	t = "Spell Damage +12 (Healing Power) (Enchanter Only)"},
			{id = 2929,	t = "Weapon Damage +2 (Striking) (Enchanter Only)"},
			NoneTable,
		}},
	},
	INVTYPE_CLOAK = {
		{[MenuText_Enchanting] = {
			{[MenuText_Part1] = {
				{id = 247,	t = "Agility +1 (Minor Agility)"},
				{id = 849,	t = "Agility +3 (Lesser Agility)"},
				{id = 368,	t = "Agility +12 (Greater Agility) (Lvl 35+)"},
				{id = 65,	t = "All Resistances +1 (Minor Resistance)"},
				{id = 903,	t = "All Resistances +3 (Resistance)"},
				{id = 1888,	t = "All Resistances +5 (Greater Resistance)"},
				{id = -1,	t = "All Resistances +7 (Major Resistance) (Lvl 35+)"},
				{id = 1257,	t = "Arcane Resistance +15 (Greater Arcane Resistance) (Lvl 35+)"},
				{id = 783,	t = "Armor +10 (Minor Protection)"},
				{id = 744,	t = "Armor +20 (Lesser Protection)"},
				{id = 848,	t = "Armor +30 (Defense)"},
				{id = 884,	t = "Armor +50 (Greater Defense)"},
				{id = 1889,	t = "Armor +70 (Superior Defense)"},
				{id = 2662,	t = "Armor +120 (Major Armor) (Lvl 35+)"},
				NoneTable,
			}},
			{[MenuText_Part2] = {
				{id = 2622,	t = "Dodge Rating +12 (Dodge)"},
				{id = 256,	t = "Fire Resistance +5 (Lesser Fire Resistance)"},
				{id = 2463,	t = "Fire Resistance +7 (Fire Resistance)"},
				{id = 2619,	t = "Fire Resistance +15 (Greater Fire Resistance)"},
				{id = 2620,	t = "Nature Resistance +15 (Greater Nature Resistance)"},
				{id = 804,	t = "Shadow Resistance +10 (Lesser Shadow Resistance)"},
				{id = 1441,	t = "Shadow Resistance +15 (Greater Shadow Resistance) (Lvl 35+)"},
				{id = 2938,	t = "Spell Penetration +20 (Spell Penetration) (Lvl 35+)"},
				{id = -1,	t = "Stealth +5 (Stealth)"},
				{id = 2621,	t = "Threat -2% (Subtlety)"},
				NoneTable,
			}},
		}},
	},
	INVTYPE_WEAPON = OneHandEnchantsTable,
	INVTYPE_SHIELD = {
		{[MenuText_Enchanting] = {
			{id = -1,	t = "All Resistances +5 (Resistance) (Lvl 35+)"},
			{id = 848,	t = "Armor +30 (Lesser Protection)"},
			{id = 863,	t = "Block Rating +10 (Lesser Block)"},
			{id = 2655,	t = "Block Rating +15 (Shield Block) (Lvl 35+)"},
			{id = 2653,	t = "Block Value +18 (Tough Shield) (Lvl 35+)"},
			{id = 926,	t = "Frost Resistance +8 (Frost Resistance)"},
			{id = 2654,	t = "Intellect +12 (Intellect) (Lvl 35+)"},
			{id = 255,	t = "Spirit +3 (Lesser Spirit)"},
			{id = 851,	t = "Spirit +5 (Spirit)"},
			{id = 907,	t = "Spirit +7 (Greater Spirit)"},
			{id = 1884,	t = "Spirit +9 (Superior Spirit)"},
			{id = 66,	t = "Stamina +1 (Minor Stamina)"},
			{id = 724,	t = "Stamina +3 (Lesser Stamina)"},
			{id = 852,	t = "Stamina +5 (Stamina)"},
			{id = 929,	t = "Stamina +7 (Greater Stamina)"},
			{id = 1071,	t = "Stamina +18 (Major Stamina) (Lvl 35+)"},
			NoneTable,
		}},
		{[MenuText_Blacksmithing] = {
			{id = 43,	t = "Iron Spike: 8-12 (Iron Shield Spike)",		ic = "INV_Misc_ArmorKit_01"},
			{id = 463,	t = "Mithril Spike: 16-20 (Mithril Shield Spike)",	ic = "INV_Misc_ArmorKit_02"},
			{id = 1704,	t = "Thorium Spike: 20-30 (Thorium Shield Spike)",	ic = "INV_Misc_ArmorKit_20"},
			{id = 2714,	t = "Felsteel Spike: 26-38 (Felsteel Shield Spike)",	ic = "INV_Misc_ArmorKit_27"},
			NoneTable,
		}},
	},
	INVTYPE_2HWEAPON = {
		{[MenuText_Enchanting1H]	= OneHandWeaponEnchants},
		{[MenuText_Enchanting2H]	= TwoHandWeaponEnchants},
		{[MenuText_Blacksmithing]	= BSWeaponEnchants},
		{[MenuText_Quests]		= QuestWeaponEnchants},
	},
	INVTYPE_WEAPONMAINHAND = OneHandEnchantsTable,
	INVTYPE_WEAPONOFFHAND = OneHandEnchantsTable,
	INVTYPE_RANGED = RangedWeaponEnchants,
	INVTYPE_RANGEDRIGHT = RangedWeaponEnchants,
	FishingEnchants = FishingEnchants,
	NoEnchants = {NoneTable},
}


-- Gems
-- The next part of the file deals with the tables for menu generation for gems
-- id	= is the gemID in the itemLink.
-- t	= is the text displayed on the menu.
-- ic	= is the texture to be displayed without the "Interface\\Icons\\" prefix. This entry can be nil.
-- The index ITEM_QUALITY1_DESC, ITEM_QUALITY2_DESC, etc are actual global constants as defined in GlobalStrings.lua and
-- are localized strings of the quality of an item (common, uncommon, rare, epic, etc). This string is displayed in the menu.

local BlueGemMenu = {
	{[ITEM_QUALITY1_DESC] = {
		{id = 2963,	t = "+1 Mana every 5 seconds (Lustrous Zircon)",	ic = "INV_Misc_Gem_Crystal_03"},
		{id = 2962,	t = "+4 Spirit (Sparkling Zircon)",			ic = "INV_Misc_Gem_Crystal_03"},
		{id = 2961,	t = "+6 Stamina (Solid Zircon)",			ic = "INV_Misc_Gem_Crystal_03"},
		NoneTable,
	}},
	{[ITEM_QUALITY2_DESC] = {
		{id = 2701,	t = "+2 Mana every 5 seconds (Lustrous Azure Moonstone)",	ic = "INV_Misc_Gem_AzureDraenite_02"},
		{id = 2700,	t = "+8 Spell Penetration (Stormy Azure Moonstone)",		ic = "INV_Misc_Gem_AzureDraenite_02"},
		{id = 2699,	t = "+6 Spirit (Sparkling Azure Moonstone)",			ic = "INV_Misc_Gem_AzureDraenite_02"},
		{id = 2698,	t = "+9 Stamina (Solid Azure Moonstone)",			ic = "INV_Misc_Gem_AzureDraenite_02"},
		NoneTable,
	}},
	{[ITEM_QUALITY3_DESC] = {
		{id = 2733,	t = "+3 Mana every 5 seconds (Lustrous Star of Elune)",	ic = "INV_Jewelcrafting_StarOfElune_03"},
		{id = 2765,	t = "+10 Spell Penetration (Stormy Star of Elune)",	ic = "INV_Jewelcrafting_StarOfElune_03"},
		{id = 2732,	t = "+8 Spirit (Sparkling Star of Elune)",		ic = "INV_Jewelcrafting_StarOfElune_03"},
		{id = 2731,	t = "+12 Stamina (Solid Star of Elune)",		ic = "INV_Jewelcrafting_StarOfElune_03"},
		NoneTable,
	}},
	{[ITEM_QUALITY4_DESC] = {
		{id = 3124,	t = "+4 Mana every 5 seconds (Lustrous Empyrean Sapphire)",	ic = "INV_Jewelcrafting_EmpyreanSapphire_02"},
		{id = 3125,	t = "+13 Spell Penetration (Stormy Empyrean Sapphire)",		ic = "INV_Jewelcrafting_EmpyreanSapphire_02"},
		{id = 3123,	t = "+10 Spirit (Sparkling Empyrean Sapphire)",			ic = "INV_Jewelcrafting_EmpyreanSapphire_02"},
		{id = 3122,	t = "+15 Stamina (Solid Empyrean Sapphire)",			ic = "INV_Jewelcrafting_EmpyreanSapphire_02"},
		{id = 3212,	t = "+18 Stamina (Falling Star) (JC Only) (UE)",			ic = "INV_Jewelcrafting_EmpyreanSapphire_02"},
		NoneTable,
	}},
}

local RedGemMenu = {
	{[ITEM_QUALITY1_DESC] = {
		{id = 2957,	t = "+4 Agility (Delicate Tourmaline)",		ic = "INV_Misc_Gem_Ruby_03"},
		{id = 2960,	t = "+8 Attack Power (Bright Tourmaline)",	ic = "INV_Misc_Gem_Ruby_03"},
		{id = 2958,	t = "+9 Healing (Teardrop Tourmaline)",		ic = "INV_Misc_Gem_Ruby_03"},
		{id = 2959,	t = "+5 Spell Damage (Runed Tourmaline)",	ic = "INV_Misc_Gem_Ruby_03"},
		{id = 2956,	t = "+4 Strength (Bold Tourmaline)",		ic = "INV_Misc_Gem_Ruby_03"},
		NoneTable,
	}},
	{[ITEM_QUALITY2_DESC] = {
		{id = 2693,	t = "+6 Agility (Delicate Blood Garnet)",	ic = "INV_Misc_Gem_BloodGem_02"},
		{id = 2971,	t = "+12 Attack Power (Bright Blood Garnet)",	ic = "INV_Misc_Gem_BloodGem_02"},
		{id = 2690,	t = "+13 Healing (Teardrop Blood Garnet)",	ic = "INV_Misc_Gem_BloodGem_02"},
		{id = 2692,	t = "+7 Spell Damage (Runed Blood Garnet)",	ic = "INV_Misc_Gem_BloodGem_02"},
		{id = 2691,	t = "+6 Strength (Bold Blood Garnet)",		ic = "INV_Misc_Gem_BloodGem_02"},
		NoneTable,
	}},
	{[ITEM_QUALITY3_DESC] = {
		{id = 2726,	t = "+8 Agility (Delicate Living Ruby)",			ic = "INV_Jewelcrafting_LivingRuby_03"},
		{id = 2944,	t = "+14 Attack Power (Mighty Blood Garnet) (Alliance) (UE)",	ic = "INV_Misc_Gem_Bloodstone_02"},
		{id = 2943,	t = "+14 Attack Power (Mighty Blood Garnet) (Horde) (UE)",	ic = "INV_Misc_Gem_Bloodstone_02"},
		{id = 2729,	t = "+16 Attack Power (Bright Living Ruby)",			ic = "INV_Jewelcrafting_LivingRuby_03"},
		{id = 2730,	t = "+8 Dodge Rating (Subtle Living Ruby)",			ic = "INV_Jewelcrafting_LivingRuby_03"},
		{id = 2727,	t = "+18 Healing (Teardrop Living Ruby)",			ic = "INV_Jewelcrafting_LivingRuby_03"},
		{id = 2754,	t = "+8 Parry Rating (Flashing Living Ruby)",			ic = "INV_Jewelcrafting_LivingRuby_03"},
		{id = 2924,	t = "+8 Spell Damage (Stark Blood Garnet) (Alliance) (UE)",	ic = "INV_Misc_Gem_Ruby_01"},
		{id = 2896,	t = "+8 Spell Damage (Stark Blood Garnet) (Horde) (UE)",	ic = "INV_Misc_Gem_Ruby_01"},
		{id = 2728,	t = "+9 Spell Damage (Runed Living Ruby)",			ic = "INV_Jewelcrafting_LivingRuby_03"},
		{id = 2725,	t = "+8 Strength (Bold Living Ruby)",				ic = "INV_Jewelcrafting_LivingRuby_03"},
		{id = 3103,	t = "+8 Strength (Don Amancio's Heart) (Alliance) (UE)",	ic = "INV_Misc_Gem_Ruby_01"},
		{id = 3065,	t = "+8 Strength (Don Rodrigo's Heart) (Horde) (UE)",		ic = "INV_Misc_Gem_Ruby_01"},
		NoneTable,
	}},
	{[ITEM_QUALITY4_DESC] = {
		{id = 3116,	t = "+10 Agility (Delicate Crimson Spinel)",			ic = "INV_Jewelcrafting_CrimsonSpinel_02"},
		{id = 2945,	t = "+20 Attack Power (Bold Ornate Ruby) (UE)",			ic = "INV_Misc_Gem_Ruby_02"},
		{id = 3119,	t = "+20 Attack Power (Bright Crimson Spinel)",			ic = "INV_Jewelcrafting_CrimsonSpinel_02"},
		{id = 3208,	t = "+24 Attack Power (Crimson Sun) (JC Only) (UE)",		ic = "INV_Jewelcrafting_CrimsonSpinel_02"},
		{id = 3120,	t = "+10 Dodge Rating (Subtle Crimson Spinel)",			ic = "INV_Jewelcrafting_CrimsonSpinel_02"},
		{id = 3117,	t = "+22 Healing (Teardrop Crimson Spinel)",			ic = "INV_Jewelcrafting_CrimsonSpinel_02"},
		{id = 3211,	t = "+26 Healing (Kailee's Rose) (JC Only) (UE)",		ic = "INV_Jewelcrafting_CrimsonSpinel_02"},
		{id = 3121,	t = "+10 Parry Rating (Flashing Crimson Spinel)",		ic = "INV_Jewelcrafting_CrimsonSpinel_02"},
		{id = 3118,	t = "+12 Spell Damage (Runed Crimson Spinel)",			ic = "INV_Jewelcrafting_CrimsonSpinel_02"},
		{id = 2912,	t = "+12 Spell Damage (Runed Ornate Ruby) (UE)",		ic = "INV_Misc_Gem_Bloodstone_01"},
		{id = 3210,	t = "+14 Spell Damage (Don Julio's Heart) (JC Only) (UE)",	ic = "INV_Jewelcrafting_CrimsonSpinel_02"},
		{id = 3115,	t = "+10 Strength (Bold Crimson Spinel)",			ic = "INV_Jewelcrafting_CrimsonSpinel_02"},
		NoneTable,
	}},
}

local YellowGemMenu = {
	{[ITEM_QUALITY1_DESC] = {
		{id = 2965,	t = "+4 Crit Rating (Smooth Amber)",		ic = "INV_Misc_Gem_Topaz_03"},
		{id = 2968,	t = "+4 Defense Rating (Thick Amber)",		ic = "INV_Misc_Gem_Topaz_03"},
		{id = 2966,	t = "+4 Hit Rating (Rigid Amber)",		ic = "INV_Misc_Gem_Topaz_03"},
		{id = 2964,	t = "+4 Intellect (Brilliant Amber)",		ic = "INV_Misc_Gem_Topaz_03"},
		{id = 2967,	t = "+4 Spell Crit Rating (Gleaming Amber)",	ic = "INV_Misc_Gem_Topaz_03"},
		NoneTable,
	}},
	{[ITEM_QUALITY2_DESC] = {
		{id = 2942,	t = "+6 Crit Rating (Smooth Golden Draenite)",		ic = "INV_Misc_Gem_GoldenDraenite_02"},
		{id = 2696,	t = "+6 Defense Rating (Thick Golden Draenite)",	ic = "INV_Misc_Gem_GoldenDraenite_02"},
		{id = 2697,	t = "+6 Hit Rating (Rigid Golden Draenite)",		ic = "INV_Misc_Gem_GoldenDraenite_02"},
		{id = 2694,	t = "+6 Intellect (Brilliant Golden Draenite)",		ic = "INV_Misc_Gem_GoldenDraenite_02"},
		{id = 2695,	t = "+6 Spell Crit Rating (Gleaming Golden Draenite)",	ic = "INV_Misc_Gem_GoldenDraenite_02"},
		{id = 3104,	t = "+6 Spell Hit Rating (Great Golden Draenite)",	ic = "INV_Misc_Gem_GoldenDraenite_02"},
		NoneTable,
	}},
	{[ITEM_QUALITY3_DESC] = {
		{id = 2735,	t = "+8 Crit Rating (Smooth Dawnstone)",		ic = "INV_Jewelcrafting_Dawnstone_03"},
		{id = 2737,	t = "+8 Defense Rating (Thick Dawnstone)",		ic = "INV_Jewelcrafting_Dawnstone_03"},
		{id = 2764,	t = "+8 Hit Rating (Rigid Dawnstone)",			ic = "INV_Jewelcrafting_Dawnstone_03"},
		{id = 2734,	t = "+8 Intellect (Brilliant Dawnstone)",		ic = "INV_Jewelcrafting_Dawnstone_03"},
		{id = 2759,	t = "+8 Resilience Rating (Mystic Dawnstone)",		ic = "INV_Jewelcrafting_Dawnstone_03"},
		{id = 2736,	t = "+8 Spell Crit Rating (Gleaming Dawnstone)",	ic = "INV_Jewelcrafting_Dawnstone_03"},
		{id = 3105,	t = "+8 Spell Hit Rating (Great Dawnstone)",		ic = "INV_Jewelcrafting_Dawnstone_03"},
		NoneTable,
	}},
	{[ITEM_QUALITY4_DESC] = {
		{id = 3127,	t = "+10 Crit Rating (Smooth Lionseye)",			ic = "INV_Jewelcrafting_Lionseye_02"},
		{id = 2913,	t = "+10 Crit Rating (Smooth Ornate Dawnstone) (UE)",		ic = "INV_Misc_Gem_Topaz_01"},
		{id = 3220,	t = "+12 Crit Rating (Stone of Blades) (JC Only) (UE)",		ic = "INV_Jewelcrafting_Lionseye_02"},
		{id = 3130,	t = "+10 Defense Rating (Thick Lionseye)",			ic = "INV_Jewelcrafting_Lionseye_02"},
		{id = 3221,	t = "+12 Defense Rating (Facet of Eternity) (JC Only) (UE)",	ic = "INV_Jewelcrafting_Lionseye_02"},
		{id = 3128,	t = "+10 Hit Rating (Rigid Lionseye)",				ic = "INV_Jewelcrafting_Lionseye_02"},
		{id = 3126,	t = "+10 Intellect (Brilliant Lionseye)",			ic = "INV_Jewelcrafting_Lionseye_02"},
		{id = 3131,	t = "+10 Resilience Rating (Mystic Lionseye)",			ic = "INV_Jewelcrafting_Lionseye_02"},
		{id = 2891,	t = "+10 Resilience (Sublime Mystic Dawnstone) (UE)",		ic = "INV_Misc_Gem_Topaz_01"},
		{id = 3129,	t = "+10 Spell Crit Rating (Gleaming Lionseye)",		ic = "INV_Jewelcrafting_Lionseye_02"},
		{id = 2914,	t = "+10 Spell Crit Rating (Gleaming Ornate Dawnstone) (UE)",	ic = "INV_Misc_Gem_Topaz_02"},
		{id = 3217,	t = "+12 Spell Crit Rating (Blood of Amber) (JC Only) (UE)",	ic = "INV_Jewelcrafting_Lionseye_02"},
		{id = 3132,	t = "+10 Spell Hit Rating (Great Lionseye)",			ic = "INV_Jewelcrafting_Lionseye_02"},
		NoneTable,
	}},
}

local GreenGemMenu = {
	{[ITEM_QUALITY2_DESC] = {
		{id = 2757,	t = "+3 Crit Rating and +4 Stamina (Jagged Deep Peridot)",			ic = "INV_Misc_Gem_DeepPeridot_02"},
		{id = 2706,	t = "+3 Defense Rating and +4 Stamina (Enduring Deep Peridot)",			ic = "INV_Misc_Gem_DeepPeridot_02"},
		{id = 2707,	t = "+1 Mana every 5 Sec and +3 Intellect (Dazzling Deep Peridot)",		ic = "INV_Misc_Gem_DeepPeridot_02"},
		{id = 2762,	t = "+3 Spell Crit Rating and +4 Spell Penetration (Radiant Deep Peridot)",	ic = "INV_Misc_Gem_DeepPeridot_02"},
		NoneTable,
	}},
	{[ITEM_QUALITY3_DESC] = {
		{id = 2921,	t = "+3 Stamina, +4 Crit Rating (Barbed Deep Peridot) (Alliance) (UE)",		ic = "INV_Misc_Gem_DeepPeridot_01"},
		{id = 2918,	t = "+3 Stamina, +4 Crit Rating (Barbed Deep Peridot) (Horde) (UE)",		ic = "INV_Misc_Gem_DeepPeridot_01"}, -- 2899
		{id = 2923,	t = "+3 Stamina, +4 Spell Crit Rating (Notched Deep Peridot) (Alliance) (UE)",	ic = "INV_Misc_Gem_DeepPeridot_03"},
		{id = 2898,	t = "+3 Stamina, +4 Spell Crit Rating (Notched Deep Peridot) (Horde) (UE)",	ic = "INV_Misc_Gem_DeepPeridot_03"},
		{id = 2758,	t = "+4 Crit Rating and +6 Stamina (Jagged Talasite)",				ic = "INV_Jewelcrafting_Talasite_03"},
		{id = 2743,	t = "+4 Defense Rating and +6 Stamina (Enduring Talasite)",			ic = "INV_Jewelcrafting_Talasite_03"},
		{id = 2744,	t = "+4 Intellect and +2 Mana every 5 seconds (Dazzling Talasite)",		ic = "INV_Jewelcrafting_Talasite_03"},
		{id = 3157,	t = "+4 Intellect and +6 Stamina (Unstable Peridot) (UE)",			ic = "INV_Misc_Gem_DeepPeridot_03"},
		{id = 3226,	t = "+4 Resilience Rating and +6 Stamina (Steady Talasite)",			ic = "INV_Jewelcrafting_Talasite_03"},
		{id = 2763,	t = "+4 Spell Crit Rating and +5 Spell Penetration (Radiant Talasite)",		ic = "INV_Jewelcrafting_Talasite_03"},
		{id = 3161,	t = "+4 Stamina and +4 Spell Crit Rating (Unstable Talasite) (UE)",		ic = "INV_Jewelcrafting_Talasite_01"},
		NoneTable,
	}},
	{[ITEM_QUALITY4_DESC] = {
		{id = 3049,	t = "+5 Crit Rating and +2 mana per 5 sec. (Sundered Chrysoprase) (UE)",		ic = "INV_Jewelcrafting_Talasite_03"},
		{id = 3148,	t = "+5 Crit Rating and +7 Stamina (Jagged Seaspray Emerald)",				ic = "INV_Jewelcrafting_SeasprayEmerald_02"},
		{id = 3145,	t = "+5 Defense Rating and +7 Stamina (Enduring Seaspray Emerald)",			ic = "INV_Jewelcrafting_SeasprayEmerald_02"},
		{id = 3082,	t = "+5 Defense Rating and 2 mana per 5 sec. (Effulgent Chrysoprase) (UE)",		ic = "INV_Jewelcrafting_Talasite_03"},
		{id = 3074,	t = "+4 Intellect and +5 Spirit (Seer's Chrysoprase) (UE)",				ic = "INV_Jewelcrafting_Talasite_03"},
		{id = 3071,	t = "+5 Intellect and +6 Stamina (Timeless Chrysoprase) (UE)",				ic = "INV_Jewelcrafting_Talasite_03"},
		{id = 3147,	t = "+5 Intellect and +2 Mana every 5 seconds (Dazzling Seaspray Emerald)",		ic = "INV_Jewelcrafting_SeasprayEmerald_02"},
		{id = 3077,	t = "+5 Intellect and 2 mana per 5 sec. (Dazzling Chrysoprase) (UE)",			ic = "INV_Jewelcrafting_Talasite_03"},
		{id = 3091,	t = "+5 Spell Crit Rating and +5 Spell Penetration (Radiant Chrysoprase) (UE)",		ic = "INV_Jewelcrafting_Talasite_03"},
		{id = 3146,	t = "+5 Spell Crit Rating and +6 Spell Penetration (Radiant Seaspray Emerald)",		ic = "INV_Jewelcrafting_SeasprayEmerald_02"},
		{id = 3058,	t = "+5 Spell Crit Rating and 2 mana per 5 sec. (Rune Covered Chrysoprase) (UE)",	ic = "INV_Jewelcrafting_Talasite_03"},
		{id = 3088,	t = "+5 Spell Hit Rating and +6 Stamina (Vivid Chrysoprase) (UE)",			ic = "INV_Jewelcrafting_Talasite_03"},
		{id = 3089,	t = "+5 Spell Hit Rating and 2 mana per 5 sec. (Lambent Chrysoprase) (UE)",		ic = "INV_Jewelcrafting_Talasite_03"},
		{id = 3085,	t = "+6 Stamina and +5 Crit Rating (Jagged Chrysoprase) (UE)",				ic = "INV_Jewelcrafting_Talasite_03"},
		{id = 3078,	t = "+6 Stamina and +5 Defense Rating (Enduring Chrysoprase) (UE)",			ic = "INV_Jewelcrafting_Talasite_03"},
		{id = 3080,	t = "+6 Stamina and +5 Resilience Rating (Steady Chrysoprase) (UE)",			ic = "INV_Jewelcrafting_Talasite_03"},
		{id = 3047,	t = "+6 Stamina and +5 Spell Crit Rating (Polished Chrysoprase) (UE)",			ic = "INV_Jewelcrafting_Talasite_03"},
		NoneTable,
	}},
}

local OrangeGemMenu = {
	{[ITEM_QUALITY2_DESC] = {
		{id = 3113,	t = "+3 Crit Rating and +6 Attack Power (Wicked Flame Spessarite)",		ic = "INV_Misc_Gem_FlameSpessarite_02"},
		{id = 2752,	t = "+3 Crit Rating and +3 Strength (Inscribed Flame Spessarite)",		ic = "INV_Misc_Gem_FlameSpessarite_02"},
		{id = 2705,	t = "+7 Healing Spells and +3 Intellect (Luminous Flame Spessarite)",		ic = "INV_Misc_Gem_FlameSpessarite_02"},
		{id = 2755,	t = "+3 Hit Rating and +3 Agility (Glinting Flame Spessarite)",			ic = "INV_Misc_Gem_FlameSpessarite_02"},
		{id = 2760,	t = "+3 Spell Crit Rating and +4 Spell Damage (Potent Flame Spessarite)",	ic = "INV_Misc_Gem_FlameSpessarite_02"},
		{id = 3110,	t = "+3 Spell Hit Rating and +4 Spell Damage (Veiled Flame Spessarite)",	ic = "INV_Misc_Gem_FlameSpessarite_02"},
		NoneTable,
	}},
	{[ITEM_QUALITY3_DESC] = {
		{id = 3159,	t = "+8 Attack Power and +4 Critical Rating (Unstable Citrine) (UE)",	ic = "INV_Misc_Gem_Opal_01"},
		{id = 3112,	t = "+4 Crit Rating and +8 Attack Power (Wicked Noble Topaz)",		ic = "INV_Jewelcrafting_NobleTopaz_03"},
		{id = 2753,	t = "+4 Crit Rating and +4 Strength (Inscribed Noble Topaz)",		ic = "INV_Jewelcrafting_NobleTopaz_03"},
		{id = 2742,	t = "+9 Healing Spells and +4 Intellect (Luminous Noble Topaz)",	ic = "INV_Jewelcrafting_NobleTopaz_03"},
		{id = 2756,	t = "+4 Hit Rating and +4 Agility (Glinting Noble Topaz)",		ic = "INV_Jewelcrafting_NobleTopaz_03"},
		{id = 2761,	t = "+4 Spell Crit Rating and +5 Spell Damage (Potent Noble Topaz)",	ic = "INV_Jewelcrafting_NobleTopaz_03"},
		{id = 3160,	t = "+5 Spell Damage and +4 Intellect (Unstable Topaz) (UE)",		ic = "INV_Jewelcrafting_NobleTopaz_02"},
		{id = 3111,	t = "+4 Spell Hit Rating and +5 Spell Damage (Veiled Noble Topaz)",	ic = "INV_Jewelcrafting_NobleTopaz_03"},
		NoneTable,
	}},
	{[ITEM_QUALITY4_DESC] = {
		{[MenuText_Part1] = {
			{id = 3073,	t = "+4 Agility and +5 Defense Rating (Glistening Fire Opal) (UE)",		ic = "INV_Jewelcrafting_NobleTopaz_03"},
			{id = 3070,	t = "+8 Attack Power and +5 Critical Rating (Deadly Fire Opal) (UE)",		ic = "INV_Jewelcrafting_NobleTopaz_03"},
			{id = 3079,	t = "+8 Attack Power and +5 Resilience Rating (Empowered Fire Opal) (UE)",	ic = "INV_Jewelcrafting_NobleTopaz_03"},
			{id = 3052,	t = "+10 Attack Power and +4 Hit Rating (Pristine Fire Opal) (UE)",		ic = "INV_Jewelcrafting_NobleTopaz_03"},
			{id = 2946,	t = "+10 Attack Power, +5 Crit Rating (Inscribed Ornate Topaz) (UE)",		ic = "INV_Misc_Gem_Opal_01"},
			{id = 3062,	t = "+6 Critical Rating and +5 Dodge Rating (Assassin's Fire Opal) (UE)",	ic = "INV_Jewelcrafting_NobleTopaz_03"},
			{id = 3139,	t = "+5 Crit Rating and +5 Strength (Inscribed Pyrestone)",			ic = "INV_Jewelcrafting_Pyrestone_02"},
			{id = 3144,	t = "+5 Crit Rating and +10 Attack Power (Wicked Pyrestone)",			ic = "INV_Jewelcrafting_Pyrestone_02"},
			{id = 3053,	t = "+5 Defense Rating and +4 Dodge Rating (Stalwart Fire Opal) (UE)",		ic = "INV_Jewelcrafting_NobleTopaz_03"},
			{id = 3068,	t = "+5 Dodge Rating and +4 Hit Rating (Nimble Fire Opal) (UE)",		ic = "INV_Jewelcrafting_NobleTopaz_03"},
			{id = 3084,	t = "+5 Dodge Rating and +4 Resilience Rating (Beaming Fire Opal) (UE)",	ic = "INV_Jewelcrafting_NobleTopaz_03"},
			{id = 3046,	t = "+11 Healing and +4 Intellect (Luminous Fire Opal) (UE)",			ic = "INV_Jewelcrafting_NobleTopaz_03"},
			{id = 3069,	t = "+11 Healing and +4 Resilience Rating (Durable Fire Opal) (UE)",		ic = "INV_Jewelcrafting_NobleTopaz_03"},
			{id = 3081,	t = "+11 Healing and +4 Spell Crit Rating (Iridescent Fire Opal) (UE)",		ic = "INV_Jewelcrafting_NobleTopaz_03"},
			{id = 3141,	t = "+11 Healing Spells and +5 Intellect (Luminous Pyrestone)",			ic = "INV_Jewelcrafting_Pyrestone_02"},
			NoneTable,
		}},
		{[MenuText_Part2] = {
			{id = 3142,	t = "+5 Hit Rating and +5 Agility (Glinting Pyrestone)",			ic = "INV_Jewelcrafting_Pyrestone_02"},
			{id = 3056,	t = "+5 Parry Rating and +4 Defense Rating (Glimmering Fire Opal) (UE)",	ic = "INV_Jewelcrafting_NobleTopaz_03"},
			{id = 3090,	t = "+5 Parry Rating and +4 Resilience Rating (Splendid Fire Opal) (UE)",	ic = "INV_Jewelcrafting_NobleTopaz_03"},
			{id = 3140,	t = "+5 Spell Crit Rating and +6 Spell Damage (Potent Pyrestone)",		ic = "INV_Jewelcrafting_Pyrestone_02"},
			{id = 3050,	t = "+6 Spell Damage and +4 Intellect (Infused Fire Opal) (UE)",		ic = "INV_Jewelcrafting_NobleTopaz_03"},
			{id = 3076,	t = "+6 Spell Damage and +4 Spell Crit Rating (Potent Fire Opal) (UE)",		ic = "INV_Jewelcrafting_NobleTopaz_03"},
			{id = 3061,	t = "+6 Spell Damage and +5 Spell Hit Rating (Shining Fire Opal) (UE)",		ic = "INV_Jewelcrafting_NobleTopaz_03"},
			{id = 3066,	t = "+6 Spell Damage and +5 Spell Penetration (Mysterious Fire Opal) (UE)",	ic = "INV_Jewelcrafting_NobleTopaz_03"},
			{id = 2916,	t = "+6 Spell Damage, +5 Spell Crit Rating (Potent Ornate Topaz) (UE)",		ic = "INV_Misc_Gem_Opal_02"},
			{id = 3143,	t = "+5 Spell Hit Rating and +6 Spell Damage (Veiled Pyrestone)",		ic = "INV_Jewelcrafting_Pyrestone_02"},
			{id = 3072,	t = "+5 Strength and +4 Critical Rating (Enscribed Fire Opal) (UE)",		ic = "INV_Jewelcrafting_NobleTopaz_03"},
			{id = 3075,	t = "+5 Strength and +4 Defense (Champion's Fire Opal) (UE)",			ic = "INV_Jewelcrafting_NobleTopaz_03"},
			{id = 3057,	t = "+5 Strength and +4 Hit Rating (Etched Fire Opal) (UE)",			ic = "INV_Jewelcrafting_NobleTopaz_03"},
			{id = 3087,	t = "+5 Strength and +4 Resilience Rating (Resplendent Fire Opal) (UE)",	ic = "INV_Jewelcrafting_NobleTopaz_03"},
			NoneTable,
		}},
	}},
}

local PurpleGemMenu = {
	{[ITEM_QUALITY2_DESC] = {
		{id = 2710,	t = "+3 Agility and +4 Stamina (Shifting Shadow Draenite)",		ic = "INV_Misc_Gem_EbonDraenite_02"},
		{id = 3108,	t = "+6 Attack Power and +1 MP5 (Infused Shadow Draenite)",		ic = "INV_Misc_Gem_EbonDraenite_02"},
		{id = 3106,	t = "+6 Attack Power and +4 Stamina (Balanced Shadow Draenite)",	ic = "INV_Misc_Gem_EbonDraenite_02"},
		{id = 3201,	t = "+7 Healing and +3 Spirit (Purified Jaggal Pearl)",			ic = "INV_Misc_Gem_Pearl_08"},
		{id = 2709,	t = "+7 Healing Spells & +1 MP5 (Royal Shadow Draenite)",		ic = "INV_Misc_Gem_EbonDraenite_02"},
		{id = 2708,	t = "+4 Spell Damage and +4 Stamina (Glowing Shadow Draenite)",		ic = "INV_Misc_Gem_EbonDraenite_02"},
		{id = 2711,	t = "+3 Strength and +4 Stamina (Sovereign Shadow Draenite)",		ic = "INV_Misc_Gem_EbonDraenite_02"},
		NoneTable,
	}},
	{[ITEM_QUALITY3_DESC] = {
		{id = 2739,	t = "+4 Agility and +6 Stamina (Shifting Nightseye)",		ic = "INV_Jewelcrafting_Nightseye_03"},
		{id = 3109,	t = "+8 Attack Power and +2 MP5 (Infused Nightseye)",		ic = "INV_Jewelcrafting_Nightseye_03"},
		{id = 3107,	t = "+8 Attack Power and +6 Stamina (Balanced Nightseye)",	ic = "INV_Jewelcrafting_Nightseye_03"},
		{id = 3156,	t = "+8 Attack Power and +6 Stamina (Unstable Amethyst) (UE)",	ic = "INV_Jewelcrafting_ShadowsongAmethyst_01"},
		{id = 3202,	t = "+9 Healing and +4 Spirit (Purified Shadow Pearl)",		ic = "INV_Misc_Gem_Pearl_07"},
		{id = 3158,	t = "+9 Healing and +4 Spirit (Unstable Sapphire) (UE)",	ic = "INV_Misc_Gem_Sapphire_02"},
		{id = 2741,	t = "+9 Healing Spells and +2 MP5 (Royal Nightseye)",		ic = "INV_Jewelcrafting_Nightseye_03"},
		{id = 2740,	t = "+5 Spell Damage and +6 Stamina (Glowing Nightseye)",	ic = "INV_Jewelcrafting_Nightseye_03"},
		{id = 2738,	t = "+4 Strength and +6 Stamina (Sovereign Nightseye)",		ic = "INV_Jewelcrafting_Nightseye_03"},
		NoneTable,
	}},
	{[ITEM_QUALITY4_DESC] = {
		{id = 3134,	t = "+5 Agility and +7 Stamina (Shifting Shadowsong Amethyst)",		ic = "INV_Jewelcrafting_ShadowsongAmethyst_02"},
		{id = 3136,	t = "+10 Attack Power and +2 MP5 (Infused Shadowsong Amethyst)",	ic = "INV_Jewelcrafting_ShadowsongAmethyst_02"},
		{id = 3067,	t = "+10 Attack Power and +6 Stamina (Brutal Tanzanite) (UE)",		ic = "INV_Jewelcrafting_Nightseye_03"},
		{id = 3101,	t = "+10 Attack Power and +6 Stamina (Pulsing Amethyst) (Quest)",	ic = "INV_Jewelcrafting_Nightseye_03"},
		{id = 3135,	t = "+10 Attack Power and +7 Stamina (Balanced Shadowsong Amethyst)",	ic = "INV_Jewelcrafting_ShadowsongAmethyst_02"},
		{id = 3060,	t = "+5 Dodge Rating and +6 Stamina (Regal Tanzanite) (UE)",		ic = "INV_Jewelcrafting_Nightseye_03"},
		{id = 3086,	t = "+11 Healing and 2 mana per 5 sec. (Royal Tanzanite) (UE)",		ic = "INV_Jewelcrafting_Nightseye_03"},
		{id = 3051,	t = "+11 Healing and +6 Stamina (Blessed Tanzanite) (UE)",		ic = "INV_Jewelcrafting_Nightseye_03"},
		{id = 3100,	t = "+11 Healing and +6 Stamina (Soothing Amethyst) (Quest)",		ic = "INV_Jewelcrafting_Nightseye_03"},
		{id = 3138,	t = "+11 Healing Spells and +2 MP5 (Royal Shadowsong Amethyst)",	ic = "INV_Jewelcrafting_ShadowsongAmethyst_02"},
		{id = 3063,	t = "+5 Parry Rating and +6 Stamina (Defender's Tanzanite) (UE)",	ic = "INV_Jewelcrafting_Nightseye_03"},
		{id = 3083,	t = "+6 Spell Damage and +4 Spirit (Fluorescent Tanzanite) (UE)",	ic = "INV_Jewelcrafting_Nightseye_03"},
		{id = 3054,	t = "+6 Spell Damage and +6 Stamina (Glowing Tanzanite) (UE)",		ic = "INV_Jewelcrafting_Nightseye_03"},
		{id = 3137,	t = "+6 Spell Damage and +7 Stamina (Glowing Shadowsong Amethyst)",	ic = "INV_Jewelcrafting_ShadowsongAmethyst_02"},
		{id = 3064,	t = "+5 Spirit and +9 Healing (Imperial Tanzanite) (UE)",		ic = "INV_Jewelcrafting_Nightseye_03"},
		{id = 3048,	t = "+5 Strength and +4 Agility (Shifting Tanzanite) (UE)",		ic = "INV_Jewelcrafting_Nightseye_03"},
		{id = 3045,	t = "+5 Strength and +6 Stamina (Sovereign Tanzanite) (UE)",		ic = "INV_Jewelcrafting_Nightseye_03"},
		{id = 3133,	t = "+5 Strength and +7 Stamina (Sovereign Shadowsong Amethyst)",	ic = "INV_Jewelcrafting_ShadowsongAmethyst_02"},
		{id = 3099,	t = "Spell Damage +6 and Stamina +6 (Infused Amethyst) (Quest)",	ic = "INV_Jewelcrafting_Nightseye_03"},
		NoneTable,
	}},
}

local PrismaticGemMenu = {
	{[ITEM_QUALITY3_DESC] = {
		{id = 2947,	t = "+3 Resist All (Prismatic Sphere)",	ic = "INV_Enchant_PrismaticSphere"},
		NoneTable,
	}},
	{[ITEM_QUALITY4_DESC] = {
		{id = 2948,	t = "+4 Resist All (Void Sphere)",	ic = "INV_Enchant_VoidSphere"},
		NoneTable,
	}},
}

local GemsMetaMenu = {
	{id = 3154,	t = "+12 Agi / +3% Crit Damage (Relentless Earthstorm Diamond)",		ic = "INV_Misc_Gem_Diamond_06"},
	{id = 2969,	t = "+20 AP / Minor Run Speed (Swift Windfire Diamond) (UE)",			ic = "INV_Misc_Gem_Diamond_07"},
	{id = 2829,	t = "+24 AP / Minor Run Speed (Swift Skyfire Diamond)",				ic = "INV_Misc_Gem_Diamond_07"},
	{id = 3162,	t = "+24 AP / 5% Stun Resist (Potent Unstable Diamond) (UE)",			ic = "INV_Misc_Gem_Diamond_07"},
	{id = 2830,	t = "+12 Crit Rating / 5% Snare & Root Resist (Enigmatic Skyfire Diamond)",	ic = "INV_Misc_Gem_Diamond_07"},
	{id = 2833,	t = "+12 Def Rating / 5% Self +40-60 hp (Tenacious Earthstorm Diamond)",	ic = "INV_Misc_Gem_Diamond_06"},
	{id = 2832,	t = "+26 Healing / -2% Threat (Bracing Earthstorm Diamond)",			ic = "INV_Misc_Gem_Diamond_06"},
	{id = 2835,	t = "+12 Int / 2% Self +300 mana (Insightful Earthstorm Diamond)",		ic = "INV_Misc_Gem_Diamond_06"},
	{id = 2834,	t = "+3 Melee Damage / 1% Stun for 1 Sec (Brutal Earthstorm Diamond)",		ic = "INV_Misc_Gem_Diamond_06"},
	{id = 2827,	t = "+14 Spell Crit Rating / 1% Spell Reflect (Destructive Skyfire Diamond)",	ic = "INV_Misc_Gem_Diamond_07"},
	{id = 2970,	t = "+12 Spell Damage / Minor Run Speed (Swift Starfire Diamond) (UE)",		ic = "INV_Misc_Gem_Diamond_07"},
	{id = 3163,	t = "+14 Spell Damage / 5% Stun Resist (Imbued Unstable Diamond) (UE)",		ic = "INV_Misc_Gem_Diamond_07"},
	{id = 2831,	t = "+18 Stamina / 5% Stun Resist (Powerful Earthstorm Diamond)",		ic = "INV_Misc_Gem_Diamond_06"},
	{id = 3155,	t = "1PPM +240 Haste Rating for 6 sec (Thundering Skyfire Diamond)",		ic = "INV_Misc_Gem_Diamond_07"},
	{id = 2828,	t = "5% Next spell cast in half time (Mystical Skyfire Diamond)",		ic = "INV_Misc_Gem_Diamond_07"},
	NoneTable,
}

local GemsMenu = {
	{[BLUE_GEM]			= BlueGemMenu},
	{[RED_GEM]			= RedGemMenu},
	{[YELLOW_GEM]			= YellowGemMenu},
	{[MenuText_GreenGem]		= GreenGemMenu},
	{[MenuText_OrangeGem]		= OrangeGemMenu},
	{[MenuText_PurpleGem]		= PurpleGemMenu},
	{[MenuText_PrismaticGem]	= PrismaticGemMenu},
}

WoWEquip_GemsControlMenu = {
	[EMPTY_SOCKET_BLUE]	= {menu = GemsMenu,	ic = "Interface\\ItemSocketingFrame\\UI-EmptySocket-Blue"},
	[EMPTY_SOCKET_META]	= {menu = GemsMetaMenu,	ic = "Interface\\ItemSocketingFrame\\UI-EmptySocket-Meta"},
	[EMPTY_SOCKET_RED]	= {menu = GemsMenu,	ic = "Interface\\ItemSocketingFrame\\UI-EmptySocket-Red"},
	[EMPTY_SOCKET_YELLOW]	= {menu = GemsMenu,	ic = "Interface\\ItemSocketingFrame\\UI-EmptySocket-Yellow"},
}


-- Filter Options
-- The next part of the file deals with the Filter Options for searching items.
-- t	= is the text displayed on the menu.
-- id	= is the table index used to filter from WoWEquip_FilterTable[] in WoWEquip.lua.

WoWEquip_ArmorClassTable = {
	{id = 1,	t = "Cloth"},
	{id = 2,	t = "Leather"},
	{id = 3,	t = "Mail"},
	{id = 4,	t = "Plate"},
	{id = 111,	t = "Miscellaneous"},
	misctable = 111,
}

WoWEquip_MainHandTable = {
	{id = 5, 	t = "Daggers"},
	{id = 6,	t = "Fist Weapons"},
	{id = 7,	t = "One-Handed Axes"},
	{id = 8,	t = "One-Handed Maces"},
	{id = 9,	t = "One-Handed Swords"},
	{id = 10,	t = "Fishing Pole"},
	{id = 11,	t = "Polearms"},
	{id = 12,	t = "Staves"},
	{id = 13,	t = "Two-Handed Axes"},
	{id = 14,	t = "Two-Handed Maces"},
	{id = 15,	t = "Two-Handed Swords"},
	{id = 112,	t = "Miscellaneous"},
	misctable = 112,
}

WoWEquip_OffHandTable = {
	{id = 16,	t = "Shields"},
	{id = 17,	t = "Off-hand"},
	{id = 18,	t = "Daggers"},
	{id = 19,	t = "Fist Weapons"},
	{id = 20,	t = "One-Handed Axes"},
	{id = 21,	t = "One-Handed Maces"},
	{id = 22,	t = "One-Handed Swords"},
	{id = 113,	t = "Miscellaneous"},
	misctable = 113,
}

WoWEquip_RangedTable = {
	{id = 23,	t = "Bows"},
	{id = 24,	t = "Crossbows"},
	{id = 25,	t = "Guns"},
	{id = 26,	t = "Thrown"},
	{id = 27,	t = "Wands"},
	{id = 28,	t = "Idols"},
	{id = 29,	t = "Librams"},
	{id = 30,	t = "Totems"},
	{id = 114,	t = "Miscellaneous"},
	misctable = 114,
}


-- Sort Options
-- The next part of the file deals with the Sort Options for searching items.
-- t	= is the text displayed on the menu.
-- id	= is the table index used to perform sorting in WoWEquip_SortDispList()
-- 		in WoWEquip_SortTable[] in WoWEquip.lua.

WoWEquip_SortOptions = {
	{id = 1,	t = "by ItemLevel > Name > Rarity"},
	{id = 2,	t = "by ItemLevel > Rarity > Name"},
	{id = 3,	t = "by Name > ItemLevel > Rarity"},
	{id = 4,	t = "by Name > Rarity > ItemLevel"},
	{id = 5,	t = "by Rarity > ItemLevel > Name"},
	{id = 6,	t = "by Rarity > Name > ItemLevel"},
}

WoWEquip_CompareOptions = {
	{id = 1,	t = "Don't compare"},
	{id = 2,	t = "Currently equipped gear"},
	{id = 3,	t = "Selected profile..."},
}

WoWEquip_ClassOptions = {
	{id = 1,	t = "Warrior"},
	{id = 2,	t = "Paladin"},
	{id = 3,	t = "Hunter"},
	{id = 4,	t = "Rogue"},
	{id = 5,	t = "Priest"},
	{id = 6,	t = "Shaman"},
	{id = 7,	t = "Mage"},
	{id = 8,	t = "Warlock"},
	{id = 9,	t = "Druid"},
}

-- Macro to get the itemTexture of an itemLink
-- /script local _,_,_,_,_,_,_,_,_,a = GetItemInfo(""); ChatFrame1:AddMessage(a);
-- Macro to get the itemType, itemSubType and itemEquipLoc of an itemLink
-- /script local _,_,_,_,_,a,b,_,c,_ = GetItemInfo(""); ChatFrame1:AddMessage(a..b..c);

--[[
itemIDtoEnchantID = {}
local itemLink = "|cff0070dd|Hitem:27773:0:%d:0:0:0:0:0|h[Barbaric Legstraps]|h|r"

for enchantID=1,4000 do
	local gem1Link = select(2, GetItemGem(itemLink:format(enchantID), 1) )
	if gem1Link then
		local itemID = gem1Link:match("item:(%d+):")
		itemIDtoEnchantID[tonumber(itemID)] = enchantID
	end
end
]]
